<?php
// Register a buttons block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Button', 'campoal-tapo'),
		'id'    => 'buttons',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M96,256V144a48,48,0,0,1,48-48h96a48,48,0,0,1,48,48V256Z" class="fa-secondary"/><path d="M64,512H320a64,64,0,0,0,64-64V64A64,64,0,0,0,320,0H64A64,64,0,0,0,0,64V448A64,64,0,0,0,64,512Zm128-32a16,16,0,1,1,16-16A16,16,0,0,1,192,480Zm0-448a16,16,0,1,1-16,16A16,16,0,0,1,192,32ZM96,256V144a48,48,0,0,1,48-48h96a48,48,0,0,1,48,48V368a48,48,0,0,1-48,48H144a48,48,0,0,1-48-48Z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' => 'select',
				'id'   => 'type',
				'name' => esc_html__('Type', 'campoal-tapo'),
				'options' => array(
					'square'	=> esc_html__('Square', 'campoal-tapo'),
					'circular' 	=> esc_html__('Circular', 'campoal-tapo'),
					'fluid' 	=> esc_html__('Fluid', 'campoal-tapo'),
					'basic' 	=> esc_html__('Basic', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Size', 'campoal-tapo'),
				'options' => array(
					'mini'		=> esc_html__('Mini', 'campoal-tapo'),
					'tiny' 		=> esc_html__('Tiny', 'campoal-tapo'),
					'small' 	=> esc_html__('Small', 'campoal-tapo'),
					'medium' 	=> esc_html__('Medium', 'campoal-tapo'),
					'large' 	=> esc_html__('Large', 'campoal-tapo'),
					'big' 		=> esc_html__('Big', 'campoal-tapo'),
					'huge' 		=> esc_html__('Huge', 'campoal-tapo'),
					'massive' 	=> esc_html__('Massive', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'alignment',
				'name' 			=> esc_html__('Alignment', 'campoal-tapo'),
				'options' => array(
					'none' 			=> '<span class="dashicons dashicons-editor-justify"></span>',
					'left' 			=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 		=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 		=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   		=> true,
			],
			[
				'type' => 'color',
				'id'   => 'background',
				'name' => 'Background Color',
			],
			[
				'type' => 'color',
				'id'   => 'color',
				'name' => 'Text Color',
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'text',
				'name' 			=> esc_html__('Text', 'campoal-tapo'),
				'placeholder'   => esc_html__('Text Name Button', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'link',
				'name' 			=> esc_html__('Link', 'campoal-tapo'),
				'placeholder'   => esc_html__('Link in Button', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'icon',
				'name' 			=> esc_html__('Icon', 'campoal-tapo'),
				'placeholder'   => esc_html__('Text Icon Button', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'invert',
				'name' => esc_html__('Invert', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'inline',
				'name' => esc_html__('Inline', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
