<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}
// Unique HTML ID if available.
$block_id = 'campoal-button-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-button ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'type' 			=> 'square',
	'size' 			=> 'medium',
	'invert' 		=> 'no',
	'alignment' 	=> 'none',
	'background' 	=> '#000000',
	'color' 		=> '#ffffff',
	'icon' 			=> '',
	'text' 			=> 'Button',
	'link' 			=> '#',
	'inline' 		=> 0,
), $attributes['data']));

$return_string = conikal_custom_buttons_render($attributes['data'], null);
?>
<div id="<?= $block_id ?>" class="<?= $class ?><?= esc_attr(!empty($inline) ? ' display inline' : '') ?>">
	<?php echo $return_string; ?>
</div>
