<?php
// Exit if access directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Add Custom Block Category for Give blocks
 */
function conikal_blocks_category( $categories, $post ) {
	return array_merge(
		$categories,
		array(
			array(
				'slug'  => 'campoal',
				'title' => __( 'Campoal', 'campoal-tapo'),
			),
		)
	);
}

/**
 * @unreleased The `block_categories` filter is deprecated as of WordPress 5.8
 */
if ( version_compare( get_bloginfo( 'version' ), '5.8', '>=' ) ) {
	add_filter( 'block_categories_all', 'conikal_blocks_category', 10, 2 );
} else {
	add_filter( 'block_categories', 'conikal_blocks_category', 10, 2 );
}

/**
* Include gutenberg block
*/

require_once plugin_dir_path( __FILE__ ) . 'container/register.php';
require_once plugin_dir_path( __FILE__ ) . 'heading/register.php';
require_once plugin_dir_path( __FILE__ ) . 'sign-share/register.php';
require_once plugin_dir_path( __FILE__ ) . 'sign-sidebar/register.php';
require_once plugin_dir_path( __FILE__ ) . 'sign-confirm/register.php';
require_once plugin_dir_path( __FILE__ ) . 'blog-posts/register.php';
require_once plugin_dir_path( __FILE__ ) . 'petitions/register.php';
require_once plugin_dir_path( __FILE__ ) . 'supporters-list/register.php';
require_once plugin_dir_path( __FILE__ ) . 'progressive-bar/register.php';
require_once plugin_dir_path( __FILE__ ) . 'supporters-counter/register.php';
require_once plugin_dir_path( __FILE__ ) . 'team-members/register.php';
require_once plugin_dir_path( __FILE__ ) . 'testimonials/register.php';
require_once plugin_dir_path( __FILE__ ) . 'update-timeline/register.php';
require_once plugin_dir_path( __FILE__ ) . 'victory-slider/register.php';
require_once plugin_dir_path( __FILE__ ) . 'icon-box/register.php';
require_once plugin_dir_path( __FILE__ ) . 'comments-list/register.php';
require_once plugin_dir_path( __FILE__ ) . 'category-grid/register.php';
require_once plugin_dir_path( __FILE__ ) . 'promo-banner/register.php';
require_once plugin_dir_path( __FILE__ ) . 'buttons/register.php';
require_once plugin_dir_path( __FILE__ ) . 'divider/register.php';
require_once plugin_dir_path( __FILE__ ) . 'home-feed/register.php';
require_once plugin_dir_path( __FILE__ ) . 'topic-cards/register.php';
require_once plugin_dir_path( __FILE__ ) . 'sticky-category/register.php';

if (is_plugin_active('give/give.php')) {
	require_once plugin_dir_path( __FILE__ ) . 'fundraising/register.php';
}




