<?php
// Register a promo banner block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Promo Banner', 'campoal-tapo'),
		'id'    => 'promo-banner',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M352 256a24 24 0 1 0 24 24 24 24 0 0 0-24-24zm-194.48 16h37L176 218.78zM464 64H48a48 48 0 0 0-48 48v288a48 48 0 0 0 48 48h416a48 48 0 0 0 48-48V112a48 48 0 0 0-48-48zM250.58 352h-16.94a16 16 0 0 1-15.12-10.75L211.15 320h-70.29l-7.38 21.25A16 16 0 0 1 118.36 352h-16.94a16 16 0 0 1-15.12-21.25L140 176.12A24 24 0 0 1 162.67 160h26.66A24 24 0 0 1 212 176.13l53.69 154.62A16 16 0 0 1 250.58 352zM424 336a16 16 0 0 1-16 16h-16a15.74 15.74 0 0 1-12-5.68A72 72 0 1 1 352 208a71.05 71.05 0 0 1 24 4.42V176a16 16 0 0 1 16-16h16a16 16 0 0 1 16 16z" class="fa-secondary"/><path d="M212 176.13A24 24 0 0 0 189.33 160h-26.66A24 24 0 0 0 140 176.12L86.3 330.75A16 16 0 0 0 101.42 352h16.94a16 16 0 0 0 15.12-10.75l7.38-21.25h70.29l7.37 21.25A16 16 0 0 0 233.64 352h16.94a16 16 0 0 0 15.11-21.25zM157.52 272L176 218.78 194.48 272zM408 160h-16a16 16 0 0 0-16 16v36.42a71.05 71.05 0 0 0-24-4.42 72 72 0 1 0 28 138.32 15.74 15.74 0 0 0 12 5.68h16a16 16 0 0 0 16-16V176a16 16 0 0 0-16-16zm-56 144a24 24 0 1 1 24-24 24 24 0 0 1-24 24z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'name'             => esc_html__('Image', 'campoal-tapo'),
    			'id'               => 'image',
    			'type'             => 'image_upload',
				'force_delete'     => true,
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'img_size',
				'name' 			=> esc_html__('Image size (eg. 200x100 or full)', 'campoal-tapo'),
				'placeholder'   => esc_html__('Example: "thumbnail", "medium", "large", "full" or in pixels: 200x100', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'link',
				'name' 			=> esc_html__('Banner link', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter URL if you want this banner to have a link.', 'campoal-tapo'),
			],
			[
				'type'    => 'wysiwyg',
				'name'    => esc_html__('Banner content', 'campoal-tapo'),
				'id'      => 'content',
				'raw'     => false,
				'options' => array(
					'textarea_rows' => 4,
					'teeny'         => true,
				),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'alignment',
				'name' 			=> esc_html__('Alignment', 'campoal-tapo'),
				'options' => array(
					'left' 			=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 		=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 		=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   => true,
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'vertical_alignment',
				'name' 			=> esc_html__('Vertical Alignment', 'campoal-tapo'),
				'options' => array(
					'top' 			=> '<span class="dashicons dashicons-arrow-up-alt2"></span>',
					'middle' 		=> '<span class="dashicons dashicons-editor-insertmore"></span>',
					'bottom' 		=> '<span class="dashicons dashicons-arrow-down-alt2"></span>',
				),
				'inline'   => true,
			],
			[
				'type' => 'select',
				'id'   => 'hover',
				'name' => esc_html__('Hover effect', 'campoal-tapo'),
				'options' => array(
					'1'	=> esc_html__('Zoom image', 'campoal-tapo'),
					'2' 	=> esc_html__('Bordered', 'campoal-tapo'),
					'3' 	=> esc_html__('Content animation', 'campoal-tapo'),
					'4' 	=> esc_html__('Translate and scale', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'style',
				'name' => esc_html__('Content style', 'campoal-tapo'),
				'options' => array(
					'1'		=> esc_html__('Color mask', 'campoal-tapo'),
					'2' 	=> esc_html__('Mask with border', 'campoal-tapo'),
					'3' 	=> esc_html__('Content with line background', 'campoal-tapo'),
					'4' 	=> esc_html__('Content with rectangular background', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'border_radius',
				'name' 			=> esc_html__('Border radius', 'campoal-tapo'),
				'placeholder'   => esc_html__('Round corner of banner', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'bottom_margin',
				'name' 			=> esc_html__('Bottom margin', 'campoal-tapo'),
				'placeholder'   => esc_html__('Space below promo banner', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'el_class',
				'name' 			=> esc_html__('Extra class name', 'campoal-tapo'),
				'placeholder'   => esc_html__('Add a class name and then refer to it in your css file', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'increase_spaces',
				'name' => esc_html__('Increase spaces', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
