<?php
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	// Register a sign sidebar block for Gutenberg.

	$meta_boxes[] = [
		'title' => esc_html__('Sign Confirmation', 'campoal-tapo'),
		'id'    => 'sign-confirm',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Pro 6.1.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><defs><style>.fa-secondary{opacity:.4}</style></defs><path class="fa-primary" d="M371.8 172.2C382.7 183.1 382.7 200.9 371.8 211.8L243.8 339.8C232.9 350.7 215.1 350.7 204.2 339.8L140.2 275.8C129.3 264.9 129.3 247.1 140.2 236.2C151.1 225.3 168.9 225.3 179.8 236.2L224 280.4L332.2 172.2C343.1 161.3 360.9 161.3 371.8 172.2V172.2z"/><path class="fa-secondary" d="M0 256C0 114.6 114.6 0 256 0C397.4 0 512 114.6 512 256C512 397.4 397.4 512 256 512C114.6 512 0 397.4 0 256zM371.8 211.8C382.7 200.9 382.7 183.1 371.8 172.2C360.9 161.3 343.1 161.3 332.2 172.2L224 280.4L179.8 236.2C168.9 225.3 151.1 225.3 140.2 236.2C129.3 247.1 129.3 264.9 140.2 275.8L204.2 339.8C215.1 350.7 232.9 350.7 243.8 339.8L371.8 211.8z"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('petition'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Petition ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('ID of Petition', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'size',
				'name' => esc_html__('Size', 'campoal-tapo'),
				'options' => array(
					'huge'		=> esc_html__('Huge', 'campoal-tapo'),
					'large'		=> esc_html__('Large', 'campoal-tapo'),
					'medium'	=> esc_html__('Medium', 'campoal-tapo'),
					'small'		=> esc_html__('Small', 'campoal-tapo'),
					'tiny'		=> esc_html__('Tiny', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
		],
	];
	return $meta_boxes;
} );
