<?php
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	// Register a sign sidebar block for Gutenberg.
	$meta_boxes[] = [
		'title' => esc_html__('Sign Sidebar', 'campoal-tapo'),
		'id'    => 'sign-sidebar',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Pro 6.1.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><defs><style>.fa-secondary{opacity:.4}</style></defs><path class="fa-primary" d="M488 32C501.3 32 512 42.75 512 56C512 69.25 501.3 80 488 80H24C10.75 80 0 69.25 0 56C0 42.75 10.75 32 24 32H488zM488 432C501.3 432 512 442.7 512 456C512 469.3 501.3 480 488 480H24C10.75 480 0 469.3 0 456C0 442.7 10.75 432 24 432H488z"/><path class="fa-secondary" d="M96 208C96 181.5 117.5 160 144 160H368C394.5 160 416 181.5 416 208V304C416 330.5 394.5 352 368 352H144C117.5 352 96 330.5 96 304V208z"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('petition'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Petition ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('ID of Petition', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'action_type',
				'name' => esc_html__('Action type', 'campoal-tapo'),
				'options' => array(
					'flexible'	=> esc_html__('Flexible', 'campoal-tapo'),
					'sidebar'	=> esc_html__('Open Sidebar', 'campoal-tapo'),
					'screen'	=> esc_html__('Scroll Screen', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'scroll_block_id',
				'name' 			=> esc_html__('Scroll to Block ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter block ID to scroll screen', 'campoal-tapo'),
			],
			[
				'type' 			=> 'post',
				'post_type'		=> array('page'),
				'id'   			=> 'custom_share_link',
				'name' 			=> esc_html__('Custom share link', 'campoal-tapo'),
				'placeholder'   => esc_html__('ID of Page', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'checkbox',
				'id'   => 'share_link_type',
				'name' => esc_html__('Share current page', 'campoal-tapo'),
				'std'  => 1
			],
			[
				'type' => 'checkbox',
				'id'   => 'prompt_action',
				'name' => esc_html__('Prompt action', 'campoal-tapo'),
				'std'  => 1
			],
			[
				'type' => 'checkbox',
				'id'   => 'mobile_only',
				'name' => esc_html__('Only show on mobile', 'campoal-tapo'),
				'std'  => 0
			],
		],
	];
	return $meta_boxes;
} );
