<?php
// Register a supporter counter block for Gutenberg.
add_filter( 'rwmb_meta_boxes', function( $meta_boxes ) {
	$meta_boxes[] = [
		'title' => esc_html__('Supporters Counter', 'campoal-tapo'),
		'id'    => 'supporters-counter',
		'type'  => 'block', // Important.
		'mode' 	=> 'edit',
		// 'icon'  => 'awards', // Or you can set a custom SVG if you don't like Dashicons
		'icon'  => '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><defs><style>.fa-secondary{opacity:.4}</style></defs><path d="M624 160h-32a16 16 0 0 0-16 16v1.81c-18.9-11-40.58-17.81-64-17.81a128.14 128.14 0 0 0-128 128v32a128.14 128.14 0 0 0 128 128c23.42 0 45.1-6.78 64-17.81V432a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V176a16 16 0 0 0-16-16zm-64 160a48 48 0 0 1-96 0v-32a48 48 0 0 1 96 0z" class="fa-secondary"/><path d="M229.88 85.69A32 32 0 0 0 199.58 64h-47.16a32 32 0 0 0-30.3 21.69L.85 426.89A16 16 0 0 0 16 448h50.62a16 16 0 0 0 15.16-10.89L100.85 384h150.3l19.07 53.11A16 16 0 0 0 285.38 448H336a16 16 0 0 0 15.16-21.11zM129.58 304L176 174.74 222.42 304z" class="fa-primary"/></svg>',
		'category' => 'campoal',
		'context' => 'side', // The block settings will be available on the right sidebar.
		'supports' => [
			'align' => ['wide', 'full'],
		],
		// 'render_callback' => 'conikal_featured_posts_shortcode',
		'render_template' => plugin_dir_path( __FILE__ ) . 'template.php', // The PHP template that renders the block.
		// 'enqueue_style'   => plugin_dir_path( __FILE__ ) . 'style.css', // CSS file for the block.

		// Now register the block fields.
		'fields' => [
			[
				'type' 			=> 'post',
				'post_type'		=> array('petition'),
				'id'   			=> 'id',
				'name' 			=> esc_html__('Petition ID', 'campoal-tapo'),
				'placeholder'   => esc_html__('Enter an Petition ID', 'campoal-tapo'),
				'field_type' 	=> 'select_advanced',
			],
			[
				'type' => 'select',
				'id'   => 'heading',
				'name' => 'Heading',
				'options' => array(
					'h1' 	=> esc_html__('Heading 1', 'campoal-tapo'),
					'h2' 	=> esc_html__('Heading 2', 'campoal-tapo'),
					'h3' 	=> esc_html__('Heading 3', 'campoal-tapo'),
					'h4' 	=> esc_html__('Heading 4', 'campoal-tapo'),
					'h5' 	=> esc_html__('Heading 5', 'campoal-tapo'),
					'p' 	=> esc_html__('Paragraph', 'campoal-tapo'),
				),
				'placeholder'   => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' 			=> 'button_group',
				'id'   			=> 'alignment',
				'name' 			=> esc_html__('Alignment', 'campoal-tapo'),
				'options' => array(
					'left' 			=> '<span class="dashicons dashicons-editor-alignleft"></span>',
					'center' 		=> '<span class="dashicons dashicons-editor-aligncenter"></span>',
					'right' 		=> '<span class="dashicons dashicons-editor-alignright"></span>',
				),
				'inline'   => true,
			],
			[
				'type' 			=> 'text',
				'id'   			=> 'label',
				'name' 			=> esc_html__('Label', 'campoal-tapo'),
				'placeholder'   => esc_html__('Label after number', 'campoal-tapo'),
			],
			[
				'type' => 'select',
				'id'   => 'type',
				'name' => esc_html__('Type', 'campoal-tapo'),
				'options' => array(
					'sign'		=> esc_html__('Number of signature', 'campoal-tapo'),
					'left' 			=> esc_html__('Left of signature', 'campoal-tapo'),
					'goal' 			=> esc_html__('Goal of signature', 'campoal-tapo'),
				),
				'placeholder'     => esc_html__('Default', 'campoal-tapo'),
			],
			[
				'type' => 'checkbox',
				'id'   => 'round',
				'name' => esc_html__('Round number', 'campoal-tapo'),
			],
			[
				'type' => 'color',
				'id'   => 'color',
				'name' => 'Text Color',
			],
		],
	];
	return $meta_boxes;
} );
