<?php
/**
 * The template file to display the block.
 *
 * Available parameters:
 * @param array $attributes The block attributes.
 * @param bool  $is_preview Whether in the preview mode.
 */

// Fields data.
if ( empty( $attributes['data'] ) ) {
	return;
}

// Unique HTML ID if available.
$block_id = 'campoal-supporters-list-' . ( $attributes['id'] ?? '' );
if ( ! empty( $attributes['anchor'] ) ) {
	$block_id = $attributes['anchor'];
}

// Custom CSS class name.
$class = 'campoal-supporters-list ' . ( $attributes['className'] ?? '' );
if ( ! empty( $attributes['align'] ) ) {
	$class .= " align{$attributes['align']}";
}

extract(shortcode_atts(array(
	'type'          => 'supporters' ,
	'id'            => 1,
	'number'        => 12,
	'style'         => 'avatar',
	'size'          => 'mini',
	'column'        => 'four',
	'hide_amount'   => false
), $attributes['data']));

$return_string = conikal_supporters_list_render($attributes['data'], null);
?>
<div id="<?= $block_id ?>" class="<?= $class ?>">
	<?php echo $return_string; ?>
</div>
