<?php 
/**
 * Enqueue_scripts on admin
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_enqueue_scripts') ):
    function conikal_enqueue_scripts() {
        global $campoal_options;

        $plugin_data = get_plugin_data( __FILE__ );
        $plugin_version = $plugin_data['Version'];

        $google_api_key = (isset($campoal_options['conikal_google_api_key_field']) && $campoal_options['conikal_google_api_key_field'] !='') ? $campoal_options['conikal_google_api_key_field'] : 'AIzaSyAQ21lP_4H4O41OOe4LbV0Y0mK6UwOD48Q';
        $google_place_types 	= ( isset($campoal_options['conikal_google_place_types_field']) && !empty($campoal_options['conikal_google_place_types_field']) ) ? $campoal_options['conikal_google_place_types_field'] : '';

        if (is_admin ()) {
            wp_enqueue_media ();
            wp_enqueue_style('campoal-tapo-style', plugins_url( '/css/style.css', __FILE__ ), false, $plugin_version, 'all');
            wp_enqueue_script('media-upload');
            wp_enqueue_script('thickbox');
            wp_enqueue_script('gmaps', '//maps.googleapis.com/maps/api/js?key=' . $google_api_key . '&amp;libraries=geometry&amp;libraries=places&amp;language=' . get_locale(),array('jquery'), $plugin_version, true);
            wp_enqueue_script('campoal_tapo_main', plugins_url( '/js/campoal-tapo.js', __FILE__ ), false, $plugin_version, true);

            wp_localize_script('campoal_tapo_main', 'main_vars',
                array('admin_url' => esc_url(get_admin_url()),
                      'plugins_url' => plugins_url( '/images/', __FILE__ ),
                      'browse_text' => esc_html__('Browse...', 'campoal-tapo'),
                      'delete_photo' => esc_html__('Delete', 'campoal-tapo'),
                      'google_place_types' 		=> esc_js($google_place_types),
                      'site_locale'				=> esc_attr(get_locale()),
                )
            );

            wp_add_inline_style('campoal-tapo-style', conikal_license_key_style());
        }
    }
endif;
add_action('admin_enqueue_scripts', 'conikal_enqueue_scripts');

 /**
 * Appending custom style for admin panel
 *
 * @since Campoal Tapo 1.0.0
 */
if (!function_exists('conikal_campoal_options_style')) :
    function conikal_campoal_options_style() {
        wp_register_style(
            'campoal-redux-custom',
            plugins_url( 'inc/admin/css/options-style.css', __FILE__ ), 
            array( 'redux-admin-css' ), // Be sure to include redux-admin-css so it's appended after the core css is applied
            time(),
            'all'
        );  
        wp_enqueue_style('campoal-redux-custom');
    }
endif;
// This example assumes your opt_name is set to redux_demo, replace with your opt_name value
add_action( 'redux/page/campoal_options/enqueue', 'conikal_campoal_options_style' );


/**
 * Add google sign in script
 *
 * @since Campoal Tapo 1.0.0
 */
function conikal_async_scripts( $tag, $handle, $src ) {
    global $campoal_options;
    $google_signin = isset($campoal_options['conikal_google_login_field']) ? $campoal_options['conikal_google_login_field'] : 0;

    // the handles of the enqueued scripts we want to async
    $async_scripts = array( 'campoal-services' );

    if ($google_signin == 1 && !is_user_logged_in() || is_page_template('user-account.php')) {
        if ( in_array( $handle, $async_scripts ) ) { ?>
            <script src="https://accounts.google.com/gsi/client?onload=onLibraryLoaded" async defer></script>
        <?php }
    }

    return $tag;
}
add_filter( 'script_loader_tag', 'conikal_async_scripts', 10, 3 );


/**
 * Denqueue scripts and deregister
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_editor_enqueue_fontawesome_pro') ):
	function conikal_editor_enqueue_fontawesome_pro() {
        wp_dequeue_script('fontawesome');
		wp_enqueue_style( 'fontawesome-pro', get_template_directory_uri() . '/css/all.min.css', array(), '5.15.4');
	}
endif;
add_action( 'in_admin_footer', 'conikal_editor_enqueue_fontawesome_pro', 5 );
?>