<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */


/**
* Get short url by Bit.ly
*
* @since Campoal Tapo 1.0.0
*/
if (!function_exists('conikal_get_shorten_link')) :    
	function conikal_get_shorten_link($post_id) {
		global $campoal_options;

		$bitly_shorten 		= isset($campoal_options['conikal_bitly_field']) ? $campoal_options['conikal_bitly_field'] : 0;
		$bitly_access_token = isset($campoal_options['conikal_bitly_access_token_field']) ? $campoal_options['conikal_bitly_access_token_field'] : '';
		$bitly_domain 		= isset($campoal_options['conikal_bitly_domain_field']) ? $campoal_options['conikal_bitly_domain_field'] : 'bit.ly';
		$bitly_group_guid 	= isset($campoal_options['conikal_bitly_group_guid_field']) ? $campoal_options['conikal_bitly_group_guid_field'] : '';
		$share_url_copiable = isset($campoal_options['conikal_share_url_copiable_field']) ? $campoal_options['conikal_share_url_copiable_field'] : 'short';

		$long_url 			= get_permalink($post_id);
		$short_url 			= wp_get_shortlink($post_id);
		$bitly_short_url 	= get_post_meta($post_id, 'custom_short_url', true);
		$copiable_url       = $share_url_copiable == 'long' ? $long_url : $short_url;

		if ($bitly_shorten == 1 && $share_url_copiable == 'short') {
			if (empty($bitly_short_url)) {
				$bitly = new Conikal_Bitly_Api();
				$bitly_endpoint = $bitly->wpbitly_api('shorten');

				$params = array();
				$params['long_url'] = $long_url;
				$params['domain'] = $bitly_domain;
				// $params['group_guid'] = $bitly_group_guid;
				$bitly_result = $bitly->wpbitly_post($bitly_endpoint, $bitly_access_token, $params);

				// check response from bitly
				if (is_array($bitly_result)) {
					$results = $bitly_result['link'];
					update_post_meta($post_id, 'custom_short_url', $results);
				} else {
					$results = $copiable_url;
				}
			} else {
				$results = $bitly_short_url;
			}
		} else {
			$results = $copiable_url;
		}

		return $results;
	}
endif;


if (!function_exists('conikal_bitly_shorten')) :    
	function conikal_bitly_shorten() {
		check_ajax_referer('share_ajax_nonce', 'security');
		global $post;
		
		// get params
		$post_id 			= isset($_POST['post_id']) ? sanitize_text_field($_POST['post_id']) : $post->ID;
		
		// get shorten link
		$short_url = conikal_get_shorten_link($post_id);
		$results = array('status' => true, 'url' => $short_url);
		
		// return result as json
		echo json_encode($results);
		exit();
	}
endif;
add_action( 'wp_ajax_nopriv_conikal_bitly_shorten', 'conikal_bitly_shorten' );
add_action( 'wp_ajax_conikal_bitly_shorten', 'conikal_bitly_shorten' );
?>