<?php
/**
 * @package WordPress
 * @subpackage Campoal
 */


/**
 * Get give for gutenberg block
 *
 * @since Campoal 2.2.0
 */

if( !function_exists('conikal_give_to_block') ): 
    function conikal_give_to_block($attributes, $is_preview, $country_selected = false) {

        extract(shortcode_atts(array(
            'title'     	=> '',
            'type'			=> 'recent',
            'show'      	=> '4',
            'categories' 	=> '',
            'tags' 			=> '',
            'carousel'  	=> 'no',
            'column'    	=> 'four',
            'hover'     	=> false,
            'order'     	=> 'DESC',
            'orderby'   	=> 'date',
            'form_ids' 		=> '',
        ), $attributes));
        
        $show = conikal_show_number_block_preview($is_preview, $carousel, $column, $show);

        global $campoal_options;
        global $current_user;

        $fundraising_with_petition  = isset($campoal_options['conikal_fundraising_only_field']) ? $campoal_options['conikal_fundraising_only_field'] : 1;
        $country_selection_mode = isset($campoal_options['conikal_country_selection_mode_field']) ? $campoal_options['conikal_country_selection_mode_field'] : 0;
        $filter_by_country 		= isset($campoal_options['conikal_filter_by_country_field']) ? $campoal_options['conikal_filter_by_country_field'] : 0;
                
        // if no country select param will use user selection instead
        if (empty($country_selected)) {
            $country_selected       = conikal_get_country_selected($current_user);
        }

        $give_prefix = '_give_';

        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
        $args = array(
            'posts_per_page'   => $show,
            'paged'            => $paged,
            'post_type'        => 'give_forms',
            'post_status'      => 'publish',
            'order'            => $order,
            'orderby'          => conikal_meta_key_ordering_filter($orderby),
        );

        if ( $type == 'by_id' && !empty($form_ids) ) {
            $form_ids = array_map('intval', explode(',', $form_ids));
            $args['post__in'] = $form_ids;
        }

        // add meta key or supporters ordering
        if ($orderby == 'views') {
            $args['meta_key'] = 'post_views_count';
        }

        $args['tax_query'] = array('relation' => 'OR');
        if (!empty($categories)) {
            array_push($args['tax_query'], array(
                'taxonomy' => 'give_forms_category',
                'terms'    => $categories,
            ));
        }

        if (!empty($tags)) {
            array_push($args['tax_query'], array(
                'taxonomy' => 'give_forms_tag',
                'terms'    => $tags,
            ));
        }

        $args['meta_query'] = array('relation' => 'AND');

        if ($fundraising_with_petition == 1) {
            array_push($args['meta_query'], array(
                'key'     => $give_prefix . 'petition_id',
                'compare' => 'NOT EXISTS'
            ));
        }

        if ($country_selection_mode && $filter_by_country && $country_selected != 'WORLD') {
            array_push($args['meta_query'], array(
                'key'     =>  $give_prefix . 'country',
                'value'   => $country_selected,
                'compare' => 'IN'
            ));
        }

        $posts = new WP_Query($args);

        wp_reset_postdata();
        wp_reset_query();

        return $posts;
    }
endif;