<?php 


if (function_exists('conikal_content_petition_shortcode')) :
	function conikal_content_petition_shortcode($attrs, $post) {
		extract(shortcode_atts(array(
            'title' => 'Featured petitions',
            'show' => '4',
            'category' => '',
            'style' => 'grid',
            'carousel' => 'no',
            'column' => 'four',
            'hover' => false,
        ), $attrs));

            global $campoal_options;
            $external_link          = isset($campoal_options['conikal_external_link_field']) ? $campoal_options['conikal_external_link_field'] : 0;
            $decisionmakers_display = isset($campoal_options['conikal_decisionmakers_display_field']) ? $campoal_options['conikal_decisionmakers_display_field'] : 1;
            $excerpt_words_grid 	= isset($campoal_options['conikal_excerpt_words_grid_field']) ? $campoal_options['conikal_excerpt_words_grid_field'] : 1;

            // lazy load placeholder
            $lazy_placeholder_avatar = conikal_lazy_load_placeholder('avatar');

			$id = $post->ID;
            $author_id = $post->post_author;
            $link = get_permalink($id);
            $title = get_the_title($id);
            $category =  wp_get_post_terms($id, 'petition_category', true);
            $excerpt = conikal_get_excerpt_by_id($id, $excerpt_words_grid);
            $comments = wp_count_comments($id);
            $view = conikal_format_number('%!,0i', (int) conikal_get_post_views($id), true);
            $gallery = get_post_meta($id, 'petition_gallery', true);
            $images = conikal_get_gallery_images($gallery);
            $thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'conikal-petition-medium' );
            $address = get_post_meta($id, 'petition_address', true);
            $city = get_post_meta($id, 'petition_city', true);
            $state = get_post_meta($id, 'petition_state', true);
            $neighborhood = get_post_meta($id, 'petition_neighborhood', true);
            $zip = get_post_meta($id, 'petition_zip', true);
            $country = get_post_meta($id, 'petition_country', true);
            $lat = get_post_meta($id, 'petition_lat', true);
            $lng = get_post_meta($id, 'petition_lng', true);
            $receiver = conikal_get_decistion_makers($id, true, $decisionmakers_display);
            $position = get_post_meta($id, 'petition_position', true);
            $position = explode(',', $position);
            $supporter_number = conikal_get_supporter_donors_number($id);
            $supporter_label  = $supporter_number->label;
            $goal = $supporter_number->goal;
            $sign = $supporter_number->sign;
            $updates = get_post_meta($id, 'petition_update', true);
            $thumb = get_post_meta($id, 'petition_thumb_small', true);
            $status = get_post_meta($id, 'petition_status', true);

            $author_url = get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ));
            $user_avatar = get_the_author_meta('avatar' , get_the_author_meta('ID'));
            $avatar = conikal_get_avatar_url( $author_id, array('size' => 64) );

            $user_address = get_user_meta($author_id, 'user_address', true);
            $user_neigborhood = get_user_meta($author_id, 'user_neigborhood', true);
            $user_city = get_user_meta($author_id, 'user_city', true);
            $user_state = get_user_meta($author_id, 'user_state', true);
            $user_country = get_user_meta($author_id, 'user_country', true);
            $user_lat = get_user_meta($author_id, 'user_lat', true);
            $user_lng = get_user_meta($author_id, 'user_lng', true);

            $thumbnail = conikal_get_petition_thumbnail($id);

            $return_string = '';

            if ($style == 'grid') {
                if ( conikal_carousel_mode($carousel) == 0 ) {
                    $return_string .= '<div class="card petition-card' . esc_attr($hover == true ? ' active-hover' : '') . '">';
                } else {
                    $return_string .= '<div>';
                    $return_string .= '<div class="ui card petition-card' . esc_attr($hover == true ? ' active-hover' : '') . '" style="margin-bottom: 2px;">';
                }
                if ($sign >= $goal || $status == '1') {
                    $return_string .= '<div class="ui primary right corner large label victory-label"><i class="flag icon"></i></div>';
                }
                $return_string .= '<a href="' . esc_url($link) . '" class="image" target="' . ($external_link != 0 ? esc_attr('_blank') : esc_attr('_self')) . '" ' . ($external_link != 0 ? '' : esc_attr('data-bjax')) . '>';
                $return_string .= '<div class="ui dimmer"><div class="content">';
                $return_string .= '<div class="center"><div class="ui icon inverted circular ' . ($column == 'three' ? 'big ' : '') . 'button"><i class="external alternate icon"></i></div></div>';
                if ($country || $state || $city) { 
                    $return_string .= '<div class="petition-location"><i class="map marker icon"></i>' . ($city && $column == 'three' ? esc_html($city) . ', ' : '') . ($state ? esc_html($state) . ', ' : '') . ($country ? esc_html($country) : '') . '</div>';
                }
                if ($view_counter == 1) {
                    $return_string .= '<div class="view-counter"><i class="eye icon"></i>' . esc_html($view) . '</div>';
                }
                $return_string .= '</div></div>';
                $return_string .= '<img class="ui fluid image" src="' . esc_url($thumbnail) . '" alt="' . esc_attr($title) . '">';
                $return_string .= '</a>';
                $return_string .= '<div class="content petition-content">';
                if ($column == 'three' || $column == 'four') {
                    $return_string .= '<div class="meta">';
                    $return_string .= '<span class="receiver truncate petition-to">' . conikal_custom_icon('send') . ' ' . sprintf(esc_html__('Petition to %s', 'campoal-tapo'), esc_html($receiver)) . '</span>';
                    $return_string .= '</div>';
                }
                $return_string .= '<div class="header card-petition-title"><a href="' . esc_url($link) . '" data-bjax>' . esc_attr($title) . '</a></div>';
                if ($column != 'three') {
                    $return_string .= '<div class="meta">';
                    $return_string .= esc_html__('by', 'campoal-tapo') . ' ' . '<a href="' . get_author_posts_url( $author_id ) . '" data-bjax>' . get_the_author_meta( 'display_name' , $author_id ) . '</a>';
                    $return_string .= '</div>';
                } else {
                    $return_string .= '<div class="description">';
                    $return_string .= '<div class="text grey">' . esc_html($excerpt) . '</div>';
                    $return_string .= '</div>';
                }
                $return_string .= '</div>';
                $return_string .= '<div class="extra content">';
                if ($column == 'three') {
                    $return_string .= '<span class="right floated">';
                    $return_string .= '<a href="' . esc_url($author_url) . '" data-bjax>';
                    $return_string .= '<img class="ui avatar image supporter-avatar lazy" data-src="' . esc_url($avatar) . '" src="' . esc_url($lazy_placeholder_avatar) . '" alt="' . get_the_author_meta( 'display_name' , $author_id ) . '" data-title="' .get_the_author_meta( 'display_name' , $author_id ) . '" data-content="';
                    if ($user_country || $user_state || $user_city) {
                        $return_string .= ($user_city ? esc_attr($user_city) . ', ' : '') . ($user_state ? esc_attr($user_state) . ', ' : '') . ($user_country ? esc_attr($user_country) : '');
                    }
                    $return_string .= '"/>';
                    $return_string .= '</a>';
                    $return_string .= '</span>';
                }
                $return_string .= '<span class="ui primary label">' . conikal_custom_icon('supporter') . sprintf($supporter_number->label, esc_html(conikal_format_number('%!,0i', $sign, true))) . '</span>';
                if($comments->approved != 0) {
                    $return_string .= '<span class="ui label"><i class="comments icon"></i>' . conikal_format_number('%!,0i', $comments->approved, true) . '</span>';
                }
                $return_string .= '</div>';
                $return_string .= '<div class="ui bottom attached indicating primary progress petition-goal" data-value="' . esc_html($sign) . '" data-total="' . esc_html($goal) . '">';
                $return_string .= '<div class="bar"><div class="progress"></div></div>';
                $return_string .= '</div>';

                $return_string .= '</div>';

                if ( conikal_carousel_mode($carousel) != 0 ) {
                    $return_string .= '</div>';
                }
            } else {
                $return_string .= '<div class="ui segments">';
                $return_string .= '<div class="ui segment">';
                if ($sign >= $goal || $status == '1') {
                    $return_string .= '<div class="ui primary right corner large label victory-label"><i class="flag icon"></i></div>';
                }
                $return_string .= '<div class="ui grid">';
                $return_string .= '<div class="sixteen wide mobile ten wide tablet ten wide computer column">';
                $return_string .= ' <div class="petition-content">';
                $return_string .= '     <div class="ui grid">';
                $return_string .= '         <div class="sixteen wide column">';
                $return_string .= '             <div class="ui large header list-petition-title">';
                $return_string .= '                 <div class="content">';
                $return_string .= '                     <div class="sub header petition-to">' . conikal_custom_icon('send') . ' ' . sprintf(esc_html__('Petition to %s', 'campoal-tapo'), esc_html($receiver)) . '</div>';
                $return_string .= '                     <a href="'. esc_url($link) . '" data-bjax>' . esc_html($title) . '</a>';
                $return_string .= '                 </div>';
                $return_string .= '             </div>';
                $return_string .= '         </div>';
                $return_string .= '         <div class="sixteen wide column tablet computer only" style="padding-top: 0; padding-bottom: 0;">';
                $return_string .= '             <div class="text grey">' . esc_html($excerpt) . '</div>';
                $return_string .= '         </div>';
                $return_string .= '     </div>';
                $return_string .= ' </div>';
                $return_string .= ' <div class="ui grid">';
                $return_string .= '      <div class="petition-footer">';
                $return_string .= '         <div class="sixteen wide column">';
                if ($country || $state || $city) { 
                    $return_string .= '         <span class="text grey"><i class="map marker icon"></i>' . ($city ? esc_html($city) . ', ' : '') . ($state ? esc_html($state) . ', ' : '') . ($country ? esc_html($country) : '') . '</span>';
                }
                $return_string .= '             <div class="ui tiny indicating primary progress petition-goal" data-value="' . esc_html($sign) . '" data-total="' . ($status == '1' ? esc_html($sign) : esc_html($goal) ) . '">';
                $return_string .= '                 <div class="bar">';
                $return_string .= '                     <div class="progress"></div>';
                $return_string .= '                 </div>';
                $return_string .= '             </div>';
                $return_string .= '         </div>';
                $return_string .= '     </div>';
                $return_string .= ' </div>';
                $return_string .= '</div>';
                $return_string .= '<div class="sixteen wide mobile six wide tablet six wide computer column">';
                $return_string .= ' <a class="ui fluid image" href="' . esc_url($link) . '" data-bjax>';
                $return_string .= '     <img class="ui fluid image"src="' . esc_html($thumbnail) . '" alt="' . esc_attr($title) . '">';
                $return_string .= ' </a>';
                $return_string .= '</div>';
                $return_string .= '</div>';
                $return_string .= '</div>';
                $return_string .= '<div class="ui segment" style="border-top-color: rgba(0,0,0,.05);">';
                $return_string .= '<div class="ui grid">';
                $return_string .= '<div class="ten wide tablet ten wide computer column tablet computer only">';
                $return_string .= '     <span class="ui primary label">' . conikal_custom_icon('supporter') . sprintf($supporter_number->label, esc_html(conikal_format_number('%!,0i', $sign, true))) . '</span>';
                $return_string .= '     <span class="ui label"><i class="comments icon"></i>' . conikal_format_number('%!,0i', $comments->approved, true) . ' ' . esc_html__('comments', 'campoal-tapo') . '</span>';
                if($category) {
                    $return_string .= ' <a class="ui label" href="' . get_category_link($category[0]->term_id) . '" data-bjax><i class="tag icon"></i>' . esc_html($category[0]->name) . '</a>';
                }
                $return_string .= '</div>';
                $return_string .= '<div class="six wide tablet six wide computer right aligned column tablet computer only">';
                $return_string .= ' <a href="' . get_author_posts_url( $author_id ) . '" data-bjax><strong>' . get_the_author_meta( 'display_name' , $author_id ) . '</strong>';
                $return_string .= '      <img class="ui avatar image lazy" data-src="' . esc_url($avatar) . '" src="' . esc_url($lazy_placeholder_avatar) . '" alt="' . get_the_author_meta( 'display_name' , $author_id ) . '" />';
                $return_string .= ' </a>';
                $return_string .= '</div>';

                $return_string .= '<div class="thirteen wide column mobile only">';
                $return_string .= ' <span class="ui primary label">' . conikal_custom_icon('supporter') . sprintf($supporter_number->label, esc_html(conikal_format_number('%!,0i', $sign, true))) . '</span>';
                $return_string .= ' <span class="ui label"><i class="comments icon"></i>' . conikal_format_number('%!,0i', $comments->approved, true) . '</span>';
                $return_string .= '</div>';
                $return_string .= '<div class="three wide right aligned column mobile only">';
                $return_string .= ' <a href="' . get_author_posts_url( $author_id ) . '" data-bjax>';
                $return_string .= '     <img class="ui avatar image lazy" data-src="' . esc_url($avatar) . '" src="' . esc_url($lazy_placeholder_avatar) . '" alt="' . get_the_author_meta( 'display_name' , $author_id ) . '" />';
                $return_string .= ' </a>';
                $return_string .= '</div>';
                $return_string .= '</div>';
                $return_string .= '</div>';
                $return_string .= '</div>';
            }
    	return $return_string;
    }
endif;
?>