<?php 
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */


/**
 * Create new Sendinblue mail list and update mail list
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_list') ): 
    function conikal_sendinblue_list($petition_id, $list_id, $list_name, $type = 'petition') {
    	global $campoal_options;
    	
    	$sendinblue_list_status = isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 		= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';
    	$sendinblue_folder 		= isset($campoal_options['conikal_sendinblue_folder_id_field']) ? $campoal_options['conikal_sendinblue_folder_id_field'] : '';

		if ($type == 'petition') {
			$prefix = 'petition_';
		} else {
			$prefix = '_give_';
		}

    	if ($sendinblue_list_status == 1 && $sendinblue_key != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\ContactsApi(
			    new GuzzleHttp\Client(),
			    $config
			);
			
		    if ($list_id != '') {
		    	// update sendinblue list
		    	$listId = $list_id;
				$updateList = new \SendinBlue\Client\Model\UpdateList();
				$updateList['name'] = $list_name;

				// get sendinblue list name
				try {
				    $sendinblue_list = $apiInstance->getList($listId);
				} catch (Exception $e) {
				    $result = 'Exception when calling ContactsApi->getList: ' . $e->getMessage();
				}

				// check list name is differnce and update exist list
				if (get_the_title($petition_id) != $sendinblue_list['name']) {
					try {
					    $result = $apiInstance->updateList($listId, $updateList);
					} catch (Exception $e) {
					    $result = 'Exception when calling ContactsApi->updateList: ' . $e->getMessage();
					}
				} else {
					$result = false;
				}

	    	} else {
	    		// create new list
	    		$createList = new \SendinBlue\Client\Model\CreateList();
				$createList['name'] = $list_name;
				$createList['folderId'] = intval($sendinblue_folder);

	    		try {
			    	$result = $apiInstance->createList($createList);
				} catch (Exception $e) {
				    $result = 'Exception when calling ContactsApi->createList: ' . $e->getMessage();
				}
	    	}

	    	// update sendinblue list id to petition
    		if (isset($result['id'])) {
    			update_post_meta($petition_id, $prefix . 'sendinblue_list', $result['id']);
    		}
	    } else {
	    	$result = false;
	    }

    	return $result;
    }
endif;

/**
 * Create new Sendinblue user and add exist user to mail list
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_users_list') ): 
    function conikal_sendinblue_users_list($list_id, $user_id, $action = 'add', $notice = 1, $custom_opt_in = '') {
    	global $campoal_options;
    	
    	$sendinblue_list_status 	= isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 			= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';
    	$sendinblue_folder 			= isset($campoal_options['conikal_sendinblue_folder_id_field']) ? $campoal_options['conikal_sendinblue_folder_id_field'] : '';
    	$sendinblue_name 			= isset($campoal_options['conikal_sendinblue_name_field']) ? $campoal_options['conikal_sendinblue_name_field'] : 'NAME';
    	$sendinblue_firstname 		= isset($campoal_options['conikal_sendinblue_firstname_field']) ? $campoal_options['conikal_sendinblue_firstname_field'] : 'FIRSTNAME';
		$sendinblue_sms 			= isset($campoal_options['conikal_sendinblue_sms_field']) ? $campoal_options['conikal_sendinblue_sms_field'] : 'SMS';
		$sendinblue_id 				= isset($campoal_options['conikal_sendinblue_id_field']) ? $campoal_options['conikal_sendinblue_id_field'] : 'USER_ID';
		$sendinblue_gender 			= isset($campoal_options['conikal_sendinblue_gender_field']) ? $campoal_options['conikal_sendinblue_gender_field'] : 'GENDER';
		$sendinblue_birthday 		= isset($campoal_options['conikal_sendinblue_birthday_field']) ? $campoal_options['conikal_sendinblue_birthday_field'] : 'BIRTHDAY';
		$sendinblue_location 		= isset($campoal_options['conikal_sendinblue_location_field']) ? $campoal_options['conikal_sendinblue_location_field'] : 'LOCATION';
		$sendinblue_neigborhood 	= isset($campoal_options['conikal_sendinblue_neigborhood_field']) ? $campoal_options['conikal_sendinblue_neigborhood_field'] : 'NEIGBORHOOD';
		$sendinblue_city 			= isset($campoal_options['conikal_sendinblue_city_field']) ? $campoal_options['conikal_sendinblue_city_field'] : 'CITY';
		$sendinblue_state 			= isset($campoal_options['conikal_sendinblue_state_field']) ? $campoal_options['conikal_sendinblue_state_field'] : 'STATE';
		$sendinblue_country 		= isset($campoal_options['conikal_sendinblue_country_field']) ? $campoal_options['conikal_sendinblue_country_field'] : 'COUNTRY';
		$sendinblue_zip 			= isset($campoal_options['conikal_sendinblue_zip_field']) ? $campoal_options['conikal_sendinblue_zip_field'] : 'ZIP';
		$sendinblue_lat 			= isset($campoal_options['conikal_sendinblue_lat_field']) ? $campoal_options['conikal_sendinblue_lat_field'] : 'LATITUDE';
		$sendinblue_lng 			= isset($campoal_options['conikal_sendinblue_lng_field']) ? $campoal_options['conikal_sendinblue_lng_field'] : 'LONGITUDE';
		$sendinblue_ip 				= isset($campoal_options['conikal_sendinblue_ip_field']) ? $campoal_options['conikal_sendinblue_ip_field'] : 'IP';
    	$sendinblue_template_id		= isset($campoal_options['conikal_sendinblue_doi_template_field']) ? $campoal_options['conikal_sendinblue_doi_template_field'] : 0;
    	$sendinblue_redirect_url 	= isset($campoal_options['conikal_sendinblue_doi_redirect_url_field']) ? $campoal_options['conikal_sendinblue_doi_redirect_url_field'] : 0;
    	$sendinblue_opt_in 			= isset($campoal_options['conikal_sendinblue_opt_in_field']) ? $campoal_options['conikal_sendinblue_opt_in_field'] : 1;
    	$sendinblue_opt_in_name 	= isset($campoal_options['conikal_sendinblue_opt_in_name_field']) ? $campoal_options['conikal_sendinblue_opt_in_name_field'] : 'DOUBLE_OPT-IN';
    	$sendinblue_force_add   	= isset($campoal_options['conikal_sendinblue_force_add_field']) ? $campoal_options['conikal_sendinblue_force_add_field'] : 1;
		

    	if (($sendinblue_force_add == 1 || $notice == 1) && $sendinblue_list_status == 1 && $sendinblue_key != '' && !empty($list_id)) {
			// get user info data
			$user 					= get_user_by('ID', $user_id);
			$user_gender            = get_user_meta($user->ID, 'user_gender', true);
			$user_birthday          = get_user_meta($user->ID, 'user_birthday', true);
			$user_birthday 			= !empty($user_birthday) ? date_i18n('Y-m-d', strtotime($user_birthday)) : '';
			$user_address           = get_user_meta($user->ID, 'user_address', true);
			$user_neighborhood      = get_user_meta($user->ID, 'user_neighborhood', true);
			$user_city              = get_user_meta($user->ID, 'user_city', true);
			$user_state             = get_user_meta($user->ID, 'user_state', true);
			$user_country           = get_user_meta($user->ID, 'user_country', true);
			$user_lat               = get_user_meta($user->ID, 'user_lat', true);
			$user_lng               = get_user_meta($user->ID, 'user_lng', true);
			$user_zip               = get_user_meta($user->ID, 'user_zip', true);
			$user_phone_code        = get_user_meta($user->ID, 'user_phone_code', true);
			$user_phone             = get_user_meta($user->ID, 'user_phone', true);
			$user_ip_address 		= get_user_meta($user->ID, 'signup_ip', true );
	
			$contact_attributes = array(
				$sendinblue_id 			=> $user->ID,
				$sendinblue_name 		=> $user->last_name, 
				$sendinblue_firstname 	=> $user->first_name,
				$sendinblue_gender 		=> $user_gender,
				$sendinblue_birthday 	=> $user_birthday,
				$sendinblue_location	=> $user_address,
				$sendinblue_neigborhood => $user_neighborhood,
				$sendinblue_city 		=> $user_city,
				$sendinblue_state 		=> $user_state,
				$sendinblue_country 	=> $user_country,
				$sendinblue_zip 		=> $user_zip,
				$sendinblue_lat 		=> $user_lat,
				$sendinblue_lng 		=> $user_lng,
				$sendinblue_ip 			=> $user_ip_address,
				$sendinblue_sms 		=> (!empty($user_phone) ? '+' . $user_phone_code . $user_phone : ''),
			);

    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\ContactsApi(
			    new GuzzleHttp\Client(),
			    $config
			);

			$list = array();
	 
	 		if ($action == 'add') {
	 			if ($sendinblue_opt_in == 1) {
	 				// Confirm email before add contact to list
	 				$createDoiContact = new \SendinBlue\Client\Model\CreateDoiContact(); // \SendinBlue\Client\Model\CreateDoiContact | Values to create the Double opt-in (DOI) contact
					$createDoiContact['email'] = $user->user_email;
					$createDoiContact['attributes'] = $contact_attributes;
					// $createDoiContact['attributes']['SMS'] = '+' . $user_phone_code . $user_phone_number;
					$createDoiContact['includeListIds'] = array(intval($list_id));
					$createDoiContact['templateId'] = intval($sendinblue_template_id);
					$createDoiContact['redirectionUrl'] = get_the_permalink($sendinblue_redirect_url);
					$createDoiContact['updateEnabled'] = true;

					try {
					    $result = $apiInstance->createDoiContact($createDoiContact);
					} catch (Exception $e) {
					    unset($contact_attributes[$sendinblue_sms]);
						$createDoiContact['attributes'] = $contact_attributes;
						try {
							$result = $apiInstance->createContact($createDoiContact);
						} catch (Exception $e) {
							$result = $e->getMessage();
						}
					}

			    	array_push($list, array('new_user' => $createDoiContact, 'result' => $result));
	 			} else {
			    	// Add contact without confirmation
	 				$createContact = new \SendinBlue\Client\Model\CreateContact(); // Values to create a contact
					$createContact['email'] = $user->user_email;
					$createContact['attributes'] = $contact_attributes;
					// $createContact['attributes']['SMS'] = '+' . $user_phone_code . $user_phone_number;
					$createContact['listIds'] = array(intval($list_id));
					$createContact['updateEnabled'] = true;

					try {
					    $result = $apiInstance->createContact($createContact);
					} catch (Exception $e) {
						unset($contact_attributes[$sendinblue_sms]);
						$createContact['attributes'] = $contact_attributes;
						try {
							$result = $apiInstance->createContact($createContact);
						} catch (Exception $e) {
							$result = $e->getMessage();
						}
					}

			    	array_push($list, array('new_user' => $createContact, 'result' => $result));
	 			}
	 		} else if ($action == 'remove') {
	 			/// Update exist contact
	 			$identifier = $user->user_email;
				$updateContact = new \SendinBlue\Client\Model\UpdateContact();
				// $updateContact['attributes'] = array('DOUBLE_OPT-IN' => 'YES');
				$updateContact['unlinkListIds'] = array(intval($list_id));

				try {
				    $result = $apiInstance->updateContact($identifier, $updateContact);
				} catch (Exception $e) {
					// print_r($e);
				    $result = $e->getMessage();
				}

			    array_push($list, array('new_user' => $updateContact, 'result' => $result));
	 		} else {
				/// Update exist contact
				$identifier = $user->user_email;
				$updateContact = new \SendinBlue\Client\Model\UpdateContact();
				// $updateContact['attributes'] = array('DOUBLE_OPT-IN' => 'YES');
				$updateContact['attributes'] = $contact_attributes;

				try {
				    $result = $apiInstance->updateContact($identifier, $updateContact);
				} catch (Exception $e) {
					// print_r($e);
					unset($contact_attributes[$sendinblue_sms]);
					$updateContact['attributes'] = $contact_attributes;
					try {
						$result = $apiInstance->updateContact($identifier, $updateContact);
					} catch (Exception $e) {
						$result = $e->getMessage();
					}
				}

			    array_push($list, array('new_user' => $updateContact, 'result' => $result));
			}
	 	} else {
	 		$list = false;
	 	}

    	return $list;
    }
endif;


/**
 * Create and Update SendibBlue Campaign
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_campaigns') ): 
    function conikal_sendinblue_campaigns($update_id, $user_id, $content, $notification = 'now', $scheduled = '', $action = 'create') {
    	global $campoal_options;

    	// get SendinBlue settings
    	$sendinblue_list_status 	= isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 			= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';
    	$sendinblue_folder 			= isset($campoal_options['conikal_sendinblue_folder_id_field']) ? $campoal_options['conikal_sendinblue_folder_id_field'] : '';
    	$sendinblue_sender_name		= isset($campoal_options['conikal_sendinblue_sender_name_field']) ? $campoal_options['conikal_sendinblue_sender_name_field'] : '';
    	$sendinblue_sender_email	= isset($campoal_options['conikal_sendinblue_sender_email_field']) ? $campoal_options['conikal_sendinblue_sender_email_field'] : '';
    	$sendinblue_name 			= isset($campoal_options['conikal_sendinblue_name_field']) ? $campoal_options['conikal_sendinblue_name_field'] : 'NAME';
    	$sendinblue_firstname 		= isset($campoal_options['conikal_sendinblue_firstname_field']) ? $campoal_options['conikal_sendinblue_firstname_field'] : 'FIRSTNAME';
    	$sendinblue_opt_in 			= isset($campoal_options['conikal_sendinblue_opt_in_field']) ? $campoal_options['conikal_sendinblue_opt_in_field'] : 'DOUBLE_OPT-IN';
    	$sendinblue_email_footer 	= isset($campoal_options['conikal_sendinblue_footer_email_field']) ? $campoal_options['conikal_sendinblue_footer_email_field'] : '';
    	$sendinblue_email_header 	= isset($campoal_options['conikal_sendinblue_header_email_field']) ? $campoal_options['conikal_sendinblue_header_email_field'] : '';

    	// get petition update email template
    	$enable_custom_template_petition_update 	= isset($campoal_options['conikal_enable_custom_template_petition_update_field']) ? $campoal_options['conikal_enable_custom_template_petition_update_field'] : 0;
    	$supporter_petition_update_subject 			= isset($campoal_options['conikal_supporter_petition_update_subject_field']) ? $campoal_options['conikal_supporter_petition_update_subject_field'] : esc_html__('New update on %petition_title%', 'campoal-tapo');
        $supporter_petition_update_template 		= isset($campoal_options['conikal_supporter_petition_update_template_field']) ? $campoal_options['conikal_supporter_petition_update_template_field'] : 0;

        // get user infomation
    	$user_info 				= get_user_by('ID', $user_id);
    	
    	// get update details
    	$update_title			= get_the_title($update_id);
    	$update_link			= get_permalink($update_id);
    	$campaign_id 			= get_post_meta($update_id, 'update_campaign_id', true);
    	$gallery 				= get_post_meta($update_id, 'update_gallery', true);
        $images 				= conikal_get_gallery_images($gallery);
        $thumb_video 			= get_post_meta($update_id, 'update_thumb', true);

    	if(has_post_thumbnail($update_id)) {
            $thumb_id = get_post_thumbnail_id($update_id);
            $thumbnail = wp_get_attachment_image_src($thumb_id, 'large', true);
            $thumbnail = $thumbnail[0];
        } elseif ($thumb_video) {
            $thumbnail = $thumb_video;
        } elseif ($gallery) {
            $thumbnail = $images[1];
        } else {
            $thumbnail = '';
        }

    	// get petition details
		$prefix 				= 'petition_';
    	$petition_id 			= get_post_meta($update_id, 'update_post_id', true);
		$post_type 				= get_post_type($petition_id);
    	$petition_title 		= get_the_title($petition_id);
    	$petition_link			= get_permalink($petition_id);

		if ($post_type == 'give_forms') {
			$prefix = '_give_';
		}

    	$sendinblue_list 		= get_post_meta($petition_id, $prefix . 'sendinblue_list', true);

    	// Class used to render markdown content into HTML
    	$Parsedown = new Parsedown();

    	// custom comment variables
        $vars_find     = array(
            '%petition_title%',
            '%petition_link%',
            '%update_title%',
            '%update_link%',
            '%update_content%',
            '%update_thumbnail%',
            '%author_name%',
            '%author_email%',
            '%author_url%',
        );
        $vars_replace  = array(
            esc_html($petition_title),
            esc_html($petition_link),
            esc_html($update_title),
            esc_html($update_link),
            wp_kses_post($Parsedown->text($content)),
            esc_url($thumbnail),
            esc_html($user_info->display_name),
            esc_html($user_info->user_email),
            esc_url(get_author_posts_url($user_info->ID, $user_info->user_nicename)),
        );

        // add commment variable into basic variables
        $email_vars = conikal_basic_variables_email();
        $vars_find = array_merge($email_vars['find'], $vars_find);
        $vars_replace = array_merge($email_vars['replace'], $vars_replace);

        $message = str_replace($vars_find, $vars_replace, $supporter_petition_update_template);
        $subject = str_replace($vars_find, $vars_replace, $supporter_petition_update_subject);

        // apply general template for email
        if (!empty($message) && $enable_custom_template_petition_update == 0) {
            $message = conikal_apply_general_template($update_title, $message);
        }

    	if ($sendinblue_list_status == 1 && $sendinblue_key != '' && $sendinblue_list != '') {
	    	$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\EmailCampaignsApi(
			    new GuzzleHttp\Client(),
			    $config
			);

			if ($action == 'update') {
		    	// update the campaign
		    	$emailCampaigns = new \SendinBlue\Client\Model\UpdateEmailCampaign();
	    	} elseif ($action == 'create') {
	    		// create new campaign
	    		$emailCampaigns = new \SendinBlue\Client\Model\CreateEmailCampaign();
	    	}

			$emailCampaigns = new \SendinBlue\Client\Model\CreateEmailCampaign();
			$emailCampaigns['tag'] = $petition_title;
			$emailCampaigns['sender'] =  array('name' => $sendinblue_sender_name, 'email' => $sendinblue_sender_email);
			$emailCampaigns['name'] = $update_title;
			$emailCampaigns['htmlContent'] = $message;
			// $emailCampaigns['templateId'] = 1;
			$emailCampaigns['subject'] = $subject;
			$emailCampaigns['replyTo'] = $user_info->user_email;
			$emailCampaigns['toField'] = '{' . $sendinblue_firstname . '} {' . $sendinblue_name . '}';
			$emailCampaigns['recipients'] =  array(
			    'listIds' => array(intval($sendinblue_list))
			);
			// $emailCampaigns['attachmentUrl'] = 'https://attachment.domain.com/myAttachmentFromUrl.jpg';
			$emailCampaigns['inlineImageActivation'] = false;
			$emailCampaigns['mirrorActive'] = false;
			$emailCampaigns['recurring'] = false;
			$emailCampaigns['type'] = 'classic';
			$emailCampaigns['header'] = wp_kses_post($sendinblue_email_header);
			$emailCampaigns['footer'] = wp_kses_post($sendinblue_email_footer);
			// $emailCampaigns['utmCampaign'] = 'My utm campaign value';
			// $emailCampaigns['params'] = array('PARAMETER' => 'My param value', 'ADDRESS' => 'Seattle, WA', 'SUBJECT' => 'New Subject');

		    // check if scheduled empty campaign will be send now
	    	if ($notification == 'now') {
	    		$emailCampaigns['sendAtBestTime'] = false;
	    		$emailCampaigns['scheduledAt'] = date_i18n('Y-m-d\TH:i:sP', strtotime('+5 minutes', strtotime(current_time('Y-m-d H:i:s')) ) );
	    	} else {
	    		$emailCampaigns['sendAtBestTime'] = false;
	    		$emailCampaigns['scheduledAt'] = date_i18n('Y-m-d\TH:i:sP', strtotime($scheduled));
	    	}

	    	// $campaign = false;
		    // check if campaign id exist campaign will be update not will be create
		    if ($action == 'update') {
		    	// update the campaign
		    	try {
				    $campaign_result = $apiInstance->updateEmailCampaign($campaign_id, $emailCampaigns);
				    // print_r($campaign_result);
				} catch (Exception $e) {
					// print_r($e);
					$campaign['status'] = false;
				    $campaign['message'] = 'Exception when calling EmailCampaignsApi->updateEmailCampaign: ' . $e->getMessage();
				}

				// add campaign id to update petition
	    		$campaign['id'] = $campaign_id;
    			$campaign['status'] = true;
    			$campaign['message'] = esc_html__('Email campaign updated successfully!', 'campoal-tapo');
	    	} elseif ($action == 'create') {
	    		// create new campaign
	    		try {
				   	$campaign_result = $apiInstance->createEmailCampaign($emailCampaigns);
				    // print_r($campaign);
				} catch (Exception $e) {
					$campaign['status'] = false;
				    $campaign['message'] = 'Exception when calling EmailCampaignsApi->createEmailCampaign: ' . $e->getMessage();
				}

	    		// add campaign id to update petition
	    		if (isset($campaign_result['id'])) {
	    			update_post_meta($update_id, 'update_campaign_id', $campaign_result['id']);
	    			$campaign['id'] = $campaign_result['id'];
	    			$campaign['status'] = true;
	    			$campaign['message'] = esc_html__('Email campaign created successfully!', 'campoal-tapo');
	    		}
	    	} else {
	    		$campaign = false;
	    	}
	 	} else {
	 		$campaign = false;
	 	}

    	return $campaign;
    }
endif;


/**
 * Get detail SendibBlue Campaign
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_get_campaign') ): 
    function conikal_sendinblue_get_campaign($campaign_id) {
    	global $campoal_options;

    	$sendinblue_list_status = isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 		= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';

    	// get campaign id
    	if ($sendinblue_list_status == 1 && $sendinblue_key != '' && $campaign_id != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

    		$apiInstance = new SendinBlue\Client\Api\EmailCampaignsApi(
			    new GuzzleHttp\Client(),
			    $config
			);

			try {
			    $campaign = $apiInstance->getEmailCampaign($campaign_id);
			    // print_r($campaign);
			} catch (Exception $e) {
			    $campaign = 'Exception when calling EmailCampaignsApi->getEmailCampaign: ' . $e->getMessage();
			}

	    	if (isset($campaign['id'])) {
		    	$campaign['status'] = strtolower($campaign['status']);
		    } else {
		    	$campaign = false;
		    }
	 	} else {
	 		$campaign = false;
	 	}

    	return $campaign;
    }
endif;


/**
 * Update status SendibBlue Campaign
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_campaign_status') ): 
    function conikal_sendinblue_campaign_status($campaign_id, $status) {
    	global $campoal_options;

    	$sendinblue_list_status = isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 		= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';

    	// get campaign id
    	if ($sendinblue_list_status == 1 && $sendinblue_key != '' && $campaign_id != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\EmailCampaignsApi(
			    new GuzzleHttp\Client(),
			    $config
			);

			$status = new \SendinBlue\Client\Model\UpdateCampaignStatus();
			$status['status'] = $status;

			try {
			    $apiInstance->updateCampaignStatus($campaign_id, $status);
			    $campaign['status'] = true; 
			    $campaign['message'] = sprintf(esc_html__('Your campaign was %s update successfully!', 'campoal-tapo'), $status);
			} catch (Exception $e) {
				$campaign['status'] = false; 
			    $campaign['message'] = sprintf(esc_html__('Exception when calling EmailCampaignsApi->updateCampaignStatus: %s', 'campoal-tapo'), $e->getMessage());
			}
	 	} else {
	 		$campaign = false;
	 	}

    	return $campaign;
    }
endif;


/**
 * Delete SendibBlue Campaign
 *
 * @since Campoal Tapo 1.0.0
 */
if( !function_exists('conikal_sendinblue_campaign_delete') ): 
    function conikal_sendinblue_campaign_delete($campaign_id) {
    	global $campoal_options;

    	$sendinblue_list_status = isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 		= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';

    	// get campaign id
    	if ($sendinblue_list_status == 1 && $sendinblue_key != '' && $campaign_id != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\EmailCampaignsApi(
			    new GuzzleHttp\Client(),
			    $config
			);

			try {
			    $apiInstance->deleteEmailCampaign($campaign_id);
			    $campaign['status'] = true; 
			    $campaign['message'] = sprintf(esc_html__('Your campaign id %s was deleted successfully!', 'campoal-tapo'), $campaign_id);
			} catch (Exception $e) {
				$campaign['status'] = false; 
			    $campaign['message'] = 'Exception when calling EmailCampaignsApi->deleteEmailCampaign: ' . $e->getMessage();
			}
	 	} else {
	 		$campaign = false;
	 	}

    	return $campaign;
    }
endif;


/**
 * Get list details
 *
 * @since Campoal Tapo 2.3.7
 */
if( !function_exists('conikal_sendinblue_get_list_details') ): 
    function conikal_sendinblue_get_list_details($list_id) {
    	global $campoal_options;

		$sendinblue_list_status 		= isset($campoal_options['conikal_sendinblue_list_field']) ? $campoal_options['conikal_sendinblue_list_field'] : 0;
    	$sendinblue_key 				= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';
		$sendinblue_update_supporters   = isset($campoal_options['conikal_sendinblue_update_supporters_field']) ? $campoal_options['conikal_sendinblue_update_supporters_field'] : 0;

    	// get campaign id
    	if ($sendinblue_list_status == 1 && $sendinblue_update_supporters == 1 && $sendinblue_key != '' && $list_id != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\ContactsApi(
				new GuzzleHttp\Client(),
				$config
			);
			
			try {
				$list_details = $apiInstance->getList($list_id);
				// print_r($list_details);
			} catch (Exception $e) {
				echo 'Exception when calling ContactsApi->getList: ', $e->getMessage(), PHP_EOL;
			}

			if (isset($list_details['id'])) {
		    	$list_details = $list_details;
		    } else {
		    	$list_details = false;
		    }
	 	} else {
	 		$list_details = false;
	 	}

    	return $list_details;
    }
endif;

/**
 * Update subscribers to supporter number if option is enabled
 *
 * @since Campoal Tapo 2.3.7
 */
if( !function_exists('conikal_sendinblue_subscribers_to_supporters') ): 
    function conikal_sendinblue_subscribers_to_supporters($list_id, $post_id) {
		if (empty($list_id)) {
			return;
		}

		global $campoal_options;
		$sendinblue_update_supporters   = isset($campoal_options['conikal_sendinblue_update_supporters_field']) ? $campoal_options['conikal_sendinblue_update_supporters_field'] : 0;

		if ($sendinblue_update_supporters == 1) {
			$list_details        = conikal_sendinblue_get_list_details($list_id);

			$sign_key = 'petition_sign';

			if (!empty($list_details)) {
				$results = update_post_meta($post_id, $sign_key, $list_details['uniqueSubscribers']);
			} else {
				$results = false;
			}
		} else {
			$results = false;
		}

		return $results;
	}
endif;


/**
 * Get All Folder ID
 *
 * @since Campoal Tapo 2.3.6
 */
if( !function_exists('conikal_sendinblue_get_all_folders') ): 
    function conikal_sendinblue_get_all_folders() {
    	global $campoal_options;

    	$sendinblue_key 		= isset($campoal_options['conikal_sendinblue_key_field']) ? $campoal_options['conikal_sendinblue_key_field'] : '';

    	// get campaign id
    	if ($sendinblue_key != '') {
    		$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $sendinblue_key);

			$apiInstance = new SendinBlue\Client\Api\ContactsApi(
				new GuzzleHttp\Client(),
				$config
			);
			$limit = 50;
			$offset = 0;
			
			try {
				$result = $apiInstance->getFolders($limit, $offset);
				// print_r($result);
			} catch (Exception $e) {
				echo 'Exception when calling ContactsApi->getFolders: ', $e->getMessage(), PHP_EOL;
			}
	 	} else {
	 		$result = false;
	 	}

    	return $result;
    }
endif;


/**
 * Get All Folder ID
 *
 * @since Campoal Tapo 2.3.6
 */
if( !function_exists('conikal_sendinblue_folder_options') ): 
    function conikal_sendinblue_folder_options() {
		$get_folders        = conikal_sendinblue_get_all_folders();
		$folders_options    = array();

		if (!empty($get_folders)) {
			foreach ($get_folders['folders'] as $folder) {
				$folders_options[$folder['id']] = $folder['name'];
			}
		}

		update_option('campoal_sendinblue_folder_options', $folders_options);

		$options = get_option('campoal_sendinblue_folder_options');

		return $options;
	}
endif;

?>