<?php
/**
 * @package WordPress
 * @subpackage Campoal Tapo
 */



/**
 * Generate signatures export file as CSV or PDF
 *
 * @since Campoal Tapo 1.2.8
 */
if (!function_exists('conikal_signatures_export')) :
    function conikal_signatures_export($petition_id, $type, $reason = true) {
        global $campoal_options;
        $export_user_id = isset($campoal_options['conikal_export_user_id_field']) ? $campoal_options['conikal_export_user_id_field'] : 0;
        $export_email = isset($campoal_options['conikal_export_email_field']) ? $campoal_options['conikal_export_email_field'] : 0;
        $export_phone_number = isset($campoal_options['conikal_export_phone_number_field']) ? $campoal_options['conikal_export_phone_number_field'] : 0;
        $export_date = isset($campoal_options['conikal_export_date_field']) ? $campoal_options['conikal_export_date_field'] : 0;
        $export_ip_address = isset($campoal_options['conikal_export_ip_address_field']) ? $campoal_options['conikal_export_ip_address_field'] : 0;
        $export_first_name = isset($campoal_options['conikal_export_first_name_field']) ? $campoal_options['conikal_export_first_name_field'] : 0;
        $export_last_name = isset($campoal_options['conikal_export_last_name_field']) ? $campoal_options['conikal_export_last_name_field'] : 0;
        $export_gender = isset($campoal_options['conikal_export_gender_field']) ? $campoal_options['conikal_export_gender_field'] : 0;
        $export_birthday = isset($campoal_options['conikal_export_birthday_field']) ? $campoal_options['conikal_export_birthday_field'] : 0;
        $export_neigborhood = isset($campoal_options['conikal_export_neigborhood_field']) ? $campoal_options['conikal_export_neigborhood_field'] : 0;
        $export_city = isset($campoal_options['conikal_export_city_field']) ? $campoal_options['conikal_export_city_field'] : 0;
        $export_state = isset($campoal_options['conikal_export_state_field']) ? $campoal_options['conikal_export_state_field'] : 0;
        $export_country = isset($campoal_options['conikal_export_country_field']) ? $campoal_options['conikal_export_country_field'] : 0;
        $export_zip = isset($campoal_options['conikal_export_zip_field']) ? $campoal_options['conikal_export_zip_field'] : 0;
        $export_reason = isset($campoal_options['conikal_export_reason_field']) ? $campoal_options['conikal_export_reason_field'] : 0;

        if ($petition_id) {
            $users_sign = get_post_meta($petition_id, 'petition_users', true);
            $users_list = array();
            
            // check setting and create column name
            $conlum_name = array();

            if ($export_user_id && $reason != 'yes') array_push($conlum_name, esc_html__('User ID', 'campoal-tapo'));
            if ($export_email && $reason != 'yes') array_push($conlum_name, esc_html__('Email', 'campoal-tapo'));
            if ($export_date) array_push($conlum_name, esc_html__('Date', 'campoal-tapo'));
            if ($export_ip_address && $reason != 'yes') array_push($conlum_name, esc_html__('IP Address', 'campoal-tapo'));
            if ($export_first_name) array_push($conlum_name, esc_html__('First Name', 'campoal-tapo'));
            if ($export_last_name) array_push($conlum_name, esc_html__('Last Name', 'campoal-tapo'));
            if ($export_gender && $reason != 'yes') array_push($conlum_name, esc_html__('Gender', 'campoal-tapo'));
            if ($export_birthday && $reason != 'yes') array_push($conlum_name, esc_html__('Birthday', 'campoal-tapo'));
            if ($export_neigborhood && $reason != 'yes') array_push($conlum_name, esc_html__('Neigborhood', 'campoal-tapo'));
            if ($export_city && $reason != 'yes') array_push($conlum_name, esc_html__('City', 'campoal-tapo'));
            if ($export_state && $reason != 'yes') array_push($conlum_name, esc_html__('State', 'campoal-tapo'));
            if ($export_country && $reason != 'yes') array_push($conlum_name, esc_html__('Country', 'campoal-tapo'));
            if ($export_zip && $reason != 'yes') array_push($conlum_name, esc_html__('Zip Code', 'campoal-tapo'));
            if ($export_phone_number && $reason != 'yes') array_push($conlum_name, esc_html__('Phone Number', 'campoal-tapo'));
            if ($export_reason && $reason == 'yes') array_push($conlum_name, esc_html__('Reason', 'campoal-tapo'));

            // push column into file
            if ($type === 'csv') {
        	   array_push($users_list, $conlum_name);
            }

            foreach ($users_sign as $user) {
            	$user_sign_date = (array_key_exists('date', $user) ? $user['date'] : '');
                $user_ip_address = (array_key_exists('ip_address', $user) ? $user['ip_address'] : '');
                $user_data = get_userdata($user['user_id']);

                if ($user_data) {
        	        $user_id = $user_data->ID;
                    $user_email = $user_data->user_email;
                    $user_phone_code = get_user_meta($user_id, 'user_phone_code', true);
        	        $user_phone = (!empty($user_phone_code) ? '(+' . $user_phone_code . ') ' : '') . get_user_meta($user_id, 'user_phone', true);;
        	        $user_firstname = $user_data->first_name;
        	        $user_lastname = $user_data->last_name;
                    $user_gender = get_user_meta($user_id, 'user_gender', true);
                    $user_birthday = get_user_meta($user_id, 'user_birthday', true);
                    $user_birthday = str_replace(',', ' ', $user_birthday);
        	        $user_neigborhood = get_user_meta($user_id, 'user_neigborhood', true);
        	        $user_city = get_user_meta($user_id, 'user_city', true);
        	        $user_state = get_user_meta($user_id, 'user_state', true);
        	        $user_country = get_user_meta($user_id, 'user_country', true);
                    $user_zip = get_user_meta($user_id, 'user_zip', true);

                    // get reason commnet
                    if (array_key_exists('comment_id', $user) && $reason == 'yes') {
                        $comment = get_comment($user['comment_id']);
                        $comment = $comment ? esc_html($comment->comment_content) : '';
                    } else {
                        $comment = '';
                    }
                    
                    // check setting and create supporter details
        	        $user_detail = array();

                    if ($export_user_id && $reason != 'yes') array_push($user_detail, $user_id);
                    if ($export_email && $reason != 'yes') array_push($user_detail, $user_email);
                    if ($export_date) array_push($user_detail, $user_sign_date);
                    if ($export_ip_address && $reason != 'yes') array_push($user_detail, $user_ip_address);
                    if ($export_first_name) array_push($user_detail, $user_firstname);
                    if ($export_last_name) array_push($user_detail, $user_lastname);
                    if ($export_gender && $reason != 'yes') array_push($user_detail, $user_gender);
                    if ($export_birthday && $reason != 'yes') array_push($user_detail, $user_birthday);
                    if ($export_neigborhood && $reason != 'yes') array_push($user_detail, $user_neigborhood);
                    if ($export_city && $reason != 'yes') array_push($user_detail, $user_city);
                    if ($export_state && $reason != 'yes') array_push($user_detail, $user_state);
                    if ($export_country && $reason != 'yes') array_push($user_detail, $user_country);
                    if ($export_zip && $reason != 'yes') array_push($user_detail, $user_zip);
                    if ($export_phone_number && $reason != 'yes') array_push($user_detail, $user_phone);
                    if ($export_reason && $reason == 'yes') array_push($user_detail, $comment);

                    // push supporter details into file
        	        array_push($users_list, $user_detail);
                }
            }

            // export signatures
        	if (isset($_GET['download']) && $type == 'csv') {
                // export csv file for signatures
        	    $file = conikal_convert_to_csv($users_list, get_the_title($petition_id) . ' - ' . $petition_id . '.csv', ',');
        	} elseif (isset($_GET['download']) && $type == 'pdf') {
                // export pdf file for signatures
                $file = conikal_signatures_export_pdf($petition_id, $conlum_name, $users_list);
            } else {
                $file = false;
            }

            return $file;
        } else {
            return false;
        }
    }
endif;


/**
 * Convert array to PDF file
 *
 * @since Campoal Tapo 1.2.8
 */
if (!function_exists('conikal_signatures_export_pdf')) :
    function conikal_signatures_export_pdf($petition_id, $conlum_name, $signatures_data) {
        global $campoal_options;
        $logo = isset($campoal_options['conikal_logo_field']['url']) ? $campoal_options['conikal_logo_field']['url'] : '';
        $logo_height = isset($campoal_options['conikal_header_logo_height_field']) ? $campoal_options['conikal_header_logo_height_field'] : '40px';

        $mpdf = new \Mpdf\Mpdf([
            'default_font_size' => 11,
            'default_font' => 'dejavusans'
        ]);

        $signature_html = '
            <style type="text/css">
            .tg  {border-collapse:collapse;border-spacing:0;border-color:#ccc;}
            .tg td{font-family:Arial, sans-serif;font-size:14px;padding:10px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;border-color:#ccc;color:#333;background-color:#fff;}
            .tg th{font-family:Arial, sans-serif;font-size:14px;font-weight:normal;padding:10px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;border-color:#ccc;color:#333;background-color:#f0f0f0;}
            .tg .tg-0lax{text-align:left;vertical-align:top}
            </style>
            <table class="tg" style="undefined;table-layout: fixed; width: 100%">
            <colgroup>';

        // create column
        foreach ($conlum_name as $name) {
            if ($name != '') {
                $signature_html .= '<col style="width: 10%">';
            }
        }

        // add column name
        $signature_html .= '</colgroup><tr>';
        foreach ($conlum_name as $name) {
            if ($name != '') {
                $signature_html .= '<th class="tg-0lax">' . esc_html($name) . '</th>';
            }
        }
        $signature_html .= '</tr>';

        // add signature info
        foreach ($signatures_data as $signature) {
            if ($signature) {
                $signature_html .= '<tr>';
                foreach ($signature as $info) {
                    $signature_html .= '<td class="tg-0lax">' . $info . '</td>';
                }
                $signature_html .= '</tr>';
            }
        }

        $signature_html .= '</table>';

        // export signatures as pdf
        // Define the Header/Footer before writing anything so they appear on the first page
        $mpdf->SetHTMLHeader('
        <div style="text-align: left; font-weight: bold;">
            ' . get_the_title($petition_id) . '
        </div>');
        $mpdf->SetHTMLFooter('
        <div style="text-align: left;">
           {PAGENO}
        </div>
        <div style="text-align: right; font-weight: bold;">
            ' . get_bloginfo('name') . '
        </div>');
        $mpdf->WriteHTML($signature_html);
        $mpdf->Output();
    }
endif;



/**
 * Convert array to CSV file
 *
 * @since Campoal Tapo 1.0.0
 */
if (!function_exists('conikal_convert_to_csv')) :
    function conikal_convert_to_csv($input_array, $output_file_name, $delimiter) {
        // modify the header to be CSV format
        header('Content-Type: application/csv');
        header('Content-Disposition: attachement; filename="' . $output_file_name . '";');
        header("Cache-Control: no-cache, no-store, must-revalidate");
        header("Pragma: no-cache");
        header("Expires: 0");
        // output the file to be downloaded
        $output = '';
        foreach ($input_array as $line) {
            // use the default csv handler
            foreach ($line as $value) {
               $output .= $value . $delimiter;
            }
            $output .= "\n";
        }
        print_r($output);
    }
endif;
?>