<?php

/**
 * Button shortcode
 */

if( !function_exists('conikal_buttons_shortcode') ): 
    function conikal_buttons_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'type' => 'square',
            'size' => 'medium',
            'invert' => 'no',
            'alignment' => 'none',
            'background' => '',
            'color' => '',
            'icon' => '',
            'text' => '',
            'link' => '',
        ), $attrs));

        $return_string = conikal_custom_buttons_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer
add_action( 'vc_before_init', 'conikal_vc_buttons_shortcode' );
function conikal_vc_buttons_shortcode() {
   vc_map( array(
      "name" => esc_html__('Button', 'campoal-tapo'),
      "base" => 'buttons',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Square' => 'square',
                'Circular' => 'circular',
                'Fluid' => 'fluid',
                'Basic' => 'basic'
                ),
            "std" => 'square',
            "description" => esc_html__('Type of Button', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Size', 'campoal-tapo'),
            "param_name" => 'size',
            "value" => array(
                'Mini' => 'mini',
                'Tiny' => 'tiny',
                'Small' => 'small',
                'Medium' => 'medium',
                'Large' => 'large',
                'Big' => 'big',
                'Huge' => 'huge',
                'Massive' => 'massive',
                ),
            "std" => 'medium',
            "description" => esc_html__('Size of Button', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Invert', 'campoal-tapo'),
            "param_name" => 'invert',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes',
                ),
            "std" => 'no',
            "description" => esc_html__('Invert Button', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Alignment', 'campoal-tapo'),
            "param_name" => 'alignment',
            "value" => array(
                'None' => 'none',
                'Left' => 'left',
                'Right' => 'right',
                'Center' => 'center',
                ),
            "std" => 'none',
            "description" => esc_html__('Alignment of  Button', 'campoal-tapo')
        ),
        array(
            "type" => 'colorpicker',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Background Color', 'campoal-tapo'),
            "param_name" => 'background',
            "value" => '#565656',
            "description" => esc_html__('Color of Button', 'campoal-tapo')
        ),
        array(
            "type" => 'colorpicker',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text Color', 'campoal-tapo'),
            "param_name" => 'color',
            "value" => '#ffffff',
            "description" => esc_html__('Color of text', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Icon', 'campoal-tapo'),
            "param_name" => 'icon',
            "value" => '',
            "description" => esc_html__('Text Icon Button', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text', 'campoal-tapo'),
            "param_name" => 'text',
            "value" => '',
            "description" => esc_html__('Text Name Button', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Link', 'campoal-tapo'),
            "param_name" => 'link',
            "value" => '#',
            "description" => esc_html__('Link in Button', 'campoal-tapo')
        )
      )
   ) );
}

?>