<?php 

/**
 * Comments list
 */
if( !function_exists('conikal_comments_list_shortcode') ): 
    function conikal_comments_list_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => '',
            'comments_sort' => 'newest',
            'replies_sort' => 'newest',
            'comments_per_page' => 10,
            'reply_per_comment' => 2,
        ), $attrs));

        $return_string = conikal_comments_list_render($attrs, $content);
        echo $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_comments_list_shortcode' );
function conikal_vc_comments_list_shortcode() {
   vc_map( array(
      "name" => esc_html__('Comments list', 'campoal-tapo'),
      "base" => 'comments_list',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Post ID', 'campoal-tapo'),
            "param_name" => 'id',
            "value" => '',
            "description" => esc_html__('ID of Post, Petition or Donation Form', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Comment sort', 'campoal-tapo'),
            "param_name" => 'comments_sort',
            "value" => array(
                'Newest' => 'newest',
                'Oldest' => 'oldest',
                ),
            "std" => 'newest',
            "description" => esc_html__('Newest will display newest comment on top or oldest comments on top.', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Replies sort', 'campoal-tapo'),
            "param_name" => 'replies_sort',
            "value" => array(
                'Newest' => 'newest',
                'Oldest' => 'oldest',
                ),
            "std" => 'newest',
            "description" => esc_html__('Newest will display newest replies on top or oldest replies on top.', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Comments per page', 'campoal-tapo'),
            "param_name" => 'comments_per_page',
            "value" => '10',
            "description" => esc_html__('Number of comments display', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Replies per comment', 'campoal-tapo'),
            "param_name" => 'reply_per_comment',
            "value" => '2',
            "description" => esc_html__('Number of replies display', 'campoal-tapo')
        ),
      )
   ) );
}

?>