<?php

/**
 * Divider shortcode
 */

if( !function_exists('conikal_divider_shortcode') ): 
    function conikal_divider_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'type' => 'normal',
            'style' => 'no',
            'invert' => 'no',
            'text' => ''
        ), $attrs));

        $return_string = conikal_divider_block_render($attrs, $content);

        return $return_string;
    }
endif;


// interact with visual composer

add_action( 'vc_before_init', 'conikal_vc_divider_shortcode' );
function conikal_vc_divider_shortcode() {
   vc_map( array(
      "name" => esc_html__('Divider', 'campoal-tapo'),
      "base" => 'divider',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Type', 'campoal-tapo'),
            "param_name" => 'type',
            "value" => array(
                'Normal' => 'normal',
                'Vertical' => 'vertical',
                'Horizontal' => 'horizontal',
                'Hidden' => 'hidden'
                ),
            "std" => 'normal',
            "description" => esc_html__('Type of Divider', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Style', 'campoal-tapo'),
            "param_name" => 'style',
            "value" => array(
                'No style' => 'no',
                'Fitted' => 'fitted',
                'Section' => 'section',
                'Clearing' => 'clearing'
                ),
            "std" => 'no',
            "description" => esc_html__('Style of Divider', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Invert', 'campoal-tapo'),
            "param_name" => 'invert',
            "value" => array(
                'No' => 'no',
                'Yes' => 'yes',
                ),
            "std" => 'no',
            "description" => esc_html__('Invert Divider', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Text', 'campoal-tapo'),
            "param_name" => 'text',
            "value" => '',
            "description" => esc_html__('Text Between Divider', 'campoal-tapo')
        )
      )
   ) );
}


?>