<?php 

/**
 * Comments list
 */
if( !function_exists('conikal_victory_slider_shortcode') ): 
    function conikal_victory_slider_shortcode($attrs, $content = null) {
        extract(shortcode_atts(array(
            'show' => 7,
            'orderby' => 'post_date',
            'order' => 'DESC',
            'hide_logined' => 0,
            'overlay' => 0,
            'padding_top' => 500,
        ), $attrs));
        
        $return_string = conikal_victory_slider_render($attrs, $content = null);

        echo $return_string;
    }
endif;


// interact with visual composer
add_action( 'vc_before_init', 'conikal_vc_victory_slider_shortcode' );
function conikal_vc_victory_slider_shortcode() {
   vc_map( array(
      "name" => esc_html__('Victory Slider', 'campoal-tapo'),
      "base" => 'victory_slider',
      "class" => '',
      "category" => esc_html__('Campoal', 'campoal-tapo'),
      'admin_enqueue_js' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.js',
      'admin_enqueue_css' => plugin_dir_url( __FILE__ ) . 'vc_extend/bartag.css',
      "icon" => plugin_dir_url( __FILE__ ) . 'images/campoal-icon.svg',
      "params" => array(
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Show', 'campoal-tapo'),
            "param_name" => 'show',
            "value" => 7,
            "description" => esc_html__('Number of petitions display', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Order by', 'campoal-tapo'),
            "param_name" => 'orderby',
            "value" => array(
                'Date' => 'post_date',
                'ID' => 'ID',
                'Author' => 'author',
                'Title' => 'title',
                'Name' => 'name',
                'Comment' => 'comment_count',
            ),
            "std" => 'newest',
            "description" => esc_html__('Order petitions by condition.', 'campoal-tapo')
        ),
        array(
            "type" => 'dropdown',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Order', 'campoal-tapo'),
            "param_name" => 'order',
            "value" => array(
                'Newest' => 'DESC',
                'Oldest' => 'ASC',
            ),
            "std" => 'DESC',
            "description" => esc_html__('Order petitions.', 'campoal-tapo')
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Hide logged in', 'campoal-tapo'),
            "param_name" => 'hide_logined',
            "description" => esc_html__('Hide victory slider when user logged in.', 'campoal-tapo')
        ),
        array(
            "type" => 'checkbox',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Overlay', 'campoal-tapo'),
            "param_name" => 'overlay',
            "description" => esc_html__('Display overlays on the previous section, you need to increase bottom padding when this option is enabled.', 'campoal-tapo')
        ),
        array(
            "type" => 'textfield',
            "holder" => 'div',
            "class" => '',
            "heading" => esc_html__('Padding top (px)', 'campoal-tapo'),
            "param_name" => 'padding_top',
            "value" => '500px',
            "description" => esc_html__('Padding top when overlays section.', 'campoal-tapo')
        ),
      )
   ) );
}

?>