<?php

/*
/ Render icon box block in html
*/

if (!function_exists('conikal_icon_box_render')) :
    function conikal_icon_box_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'icon_type'         => 'icon',
            'icon'              => 'empty-star',
            'size'              => '60',
            'icon_image'        => '',
            'img_size'          => 'full',
            'title'             => '',
            'align'             => 'left',
            'style'             => 'vertical',
            'type'              => 'normal',
            'heading_size'      => 'medium',
            'heading_border'    => 'none',
            'padding'           => 'no',
            'invert'            => 'no',
            'color'             => '',
            'text_color'        => '',
            'link'              => '',
        ), $attrs));
        
        $return_string = '';
        if (!empty($link)) {
            $return_string .= '<a href="' . esc_url($link) . '">';
        }

        $return_string = '<div class="ui ' . ($type != 'normal' ? $type . ' ' : '') . (!empty($align) ? $align . ' aligned ' : '') . ($invert != 'no' && $invert != 0 ? 'inverted ' : '') . ($padding != 'no' ? $padding . ' ' : '') . 'segment icon-box" style="' . esc_attr(!empty($color) ? 'background-color: ' . $color . ';' : '') . '">';
        $return_string .= '<h1 class="ui ' . $heading_size . ' '. ($invert != 'no' && $invert != 0 ? 'inverted ' : '') . ($style === 'vertical' ? 'icon ' : '') . 'header icon-header" style="' . esc_attr(!empty($text_color) ? 'color: ' . $text_color . ';' : '') . '">';
        $return_string .= '<p>';
        if ($icon_type == 'icon') {
            $return_string .= (wp_extract_urls($icon) ? '<img src="' . esc_attr($icon) . ' " alt="' . esc_attr($title) . '" style="' . esc_attr(!empty($size) ? 'width: ' . $size . 'px' : '') . '">' : '<i class="' . esc_attr($icon) . '" style="display: initial;font-size: ' . esc_attr($size) . 'px"></i>' );
        } else if (!empty($icon_image)) {
            $icon_image = conikal_get_image_by_size($icon_image[0], $img_size);
            $return_string .= (!empty($icon_image) ? '<img src="' . esc_url($icon_image) . ' " alt="' . esc_attr($title) . '" style="' . esc_attr(!empty($size) ? 'width: ' . $size . 'px' : '') . '">' : '' );
        }
        $return_string .= '</p>';
        if ($style == 'vertical') {
            $return_string .= '<div class="ui hidden divider"></div>';
        }
        $return_string .= '<div class="content">' . esc_html($title);
        $return_string .= '<div class="sub header" style="' . esc_attr(!empty($text_color) ? 'color: ' . $text_color . ';' : '') . '">' . do_shortcode($content) . '</div>';
        $return_string .= '</div>';
        $return_string .= '</h1>';
        $return_string .= '</div>';

        if (!empty($link)) {
            $return_string .= '</a>';
        }

        return $return_string;
    }
endif;

?>