<?php 

function conikal_progressive_bar_render($attrs, $content = null) {
    extract(shortcode_atts(array(
        'id'            => 0,
        'heading'       => 'h3',
        'label'         => '',
        'size'          => 'small',
        'show_label'    => 'both'
    ), $attrs));

    $supporter_number   = conikal_get_supporter_donors_number($id);
    $supporter_label    = $supporter_number->label;
    $goal               = $supporter_number->goal;
    $goal_format        = $supporter_number->goal_format;
    $sign               = $supporter_number->sign;
    $sign_format        = $supporter_number->sign_format;
    $needed             = $supporter_number->needed;
    $needed_format      = $supporter_number->needed_format;

    $status             = get_post_meta($id, 'petition_status', true);

    $return_string = '';

    if ($sign >= $goal || $status == '1') {
        if ($show_label == 'above' || $show_label == 'both') {
            $return_string .= '<' . $heading . ' class="ui text victory">' . conikal_custom_icon('victory_inverse') . ( $status == '1' ? esc_html__('Confirm Victory!', 'campoal-tapo') : esc_html__('Victory!', 'campoal-tapo') ) . '</' . $heading . '>';
        }
        $return_string .= '
            <div class="ui indicating ' . $size . ' victory progress petition-goal" id="petition-goal' . esc_attr($id) . '" data-value="' . esc_attr($goal) . '" data-total="' . esc_attr($goal) . '">
                <div class="bar">
                    <div class="progress"></div>
                </div>';
        if ($show_label == 'below' || $show_label == 'both') {
            $return_string .= '<div class="label"><span>' . sprintf(esc_html__( _n('This petition won with %s supporter', 'This petition won with %s supporters', $sign, 'campoal-tapo') ), esc_html($sign_format)) . '</span></div></div>';
        }
    } else if ($status == '2') {
        if ($show_label == 'above' || $show_label == 'both') {
            $return_string .= '<' . $heading . '><i class="lock icon"></i> ' . esc_html__('Petition closed', 'campoal-tapo') . '</' . $heading . '>';
        }
        $return_string .= '<div class="ui ' . $size . ' progress petition-goal" id="petition-goal' . esc_attr($id) . '" data-value="' . esc_attr($sign) . '" data-total="' . esc_attr($goal) . '">
                <div class="bar">
                    <div class="progress"></div>
                </div>';
        if ($show_label == 'below' || $show_label == 'both') {
            $return_string .= '<div class="label"><span class="sc_ned_no" id="sc_ned_no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-value="' . esc_attr($needed) . '" data-format="' . esc_attr($needed_format) . '">' . esc_html($needed_format) . '</span> ' . esc_html__('needed to reach', 'campoal-tapo') . ' ' . esc_html($goal_format) . '</div></div>';
        }
    } else {
        if ($show_label == 'above' || $show_label == 'both') {
            $return_string .= '<' . $heading . '>' . conikal_custom_icon('supporter') . ' <span class="sc_fav_no" id="sc_fav_no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-value="' . esc_attr($sign) . '" data-format="' . esc_attr($sign_format) . '">' . esc_html($sign_format) . '</span> ' . esc_html__( _n('Supporter', 'Supporters', $sign, 'campoal-tapo') ) . '</' . $heading . '>';
        }
        $return_string .= '<div class="ui indicating ' . $size . ' primary progress petition-goal" id="petition-goal' . esc_attr($id) . '" data-value="' . esc_attr($sign) . '" data-total="' . esc_attr($goal) . '">
                <div class="bar">
                    <div class="progress"></div>
                </div>';
        if ($show_label == 'below' || $show_label == 'both') {
            $return_string .= '<div class="label"><span class="sc_ned_no" id="sc_ned_no' . esc_attr($id) . '" data-id="' . esc_attr($id) . '" data-value="' . esc_attr($needed) . '" data-format="' . esc_attr( $needed_format ) . '">' . esc_html($needed_format) . '</span> ' . esc_html__('needed to reach', 'campoal-tapo') . ' ' . esc_html( $goal_format ). '</div>';
        }
        $return_string .= '</div>';
    }

    return $return_string;
}
?>