<?php

/**
 * Petition list content in shortcode
 */
if (!function_exists('conikal_shortcode_loop_give_form')) :
    function conikal_shortcode_loop_give_form($forms, $attrs, $content = null) {
    	if (!$forms) {
    		return;
    	}

        // convert shortcode attributes to variables
        extract(shortcode_atts(array(
            'title'     => '',
            'title_alignment' => 'center',
            'show'      => '4',
            'category'  => '',
            'forms_ids' => '',
            'style'     => 'grid',
            'carousel'  => 'no',
            'column'    => 'four',
            'hover'     => false,
            'order'     => 'DESC',
            'orderby'   => 'date',
        ), $attrs));

    	$return_string = '';
        if ($title != '') {
            $return_string .= '<div class="ui ' . esc_attr( $title_alignment ) . ' aligned vertical basic segment"><div class="ui huge header">' . esc_html($title) . '</div><div class="title-divider"></div></div>';
        }

        if ($style == 'grid') {
            if ( conikal_carousel_mode($carousel) == 0 ) {
                $return_string .= '<div class="ui ' . $column . ' stackable cards petition-cards">';
            } else {
                $return_string .= '<div class="recent-petition-carousel carousel-v1"><div class="fundraising-carousel" data-column="' . esc_attr($column) . '">';
            }
        }

        if ( $forms->have_posts() ) {
            while ( $forms->have_posts() ) {
                $return_string .= conikal_shortcode_give_form_card($forms->the_post(), $attrs, $content);
            }
        }

        if ($style == 'grid') {
            if ( conikal_carousel_mode($carousel) == 0 ) {
                $return_string .= '</div>';
            } else {
                $return_string .= '</div></div>';
            }
        }

        return $return_string;
    }
endif;

?>