<?php 

/*
* Render sign share block in html
*/

if (!function_exists('conikal_sign_sidebar_block_render')) {
    function conikal_sign_sidebar_block_render($attrs, $content = null) {
        extract(shortcode_atts(array(
            'id' => 1,
            'action_type' => 'flexible',
            'scroll_block_id' => '',
            'custom_share_link' => false,
            'share_link_type' => true,
            'prompt_action' => true,
            'mobile_only' => false,
        ), $attrs));

        global $campoal_options;
        global $post;
        global $current_user;

        $give_prefix        = '_give_';

        $default_accordion  = isset($campoal_options['conikal_default_accordion_sign_field']) ? $campoal_options['conikal_default_accordion_sign_field'] : 'share';
        $prompt_action      = isset($campoal_options['conikal_prompt_action_field']) ? $campoal_options['conikal_prompt_action_field'] : 1;
        $sign_victory       = isset($campoal_options['conikal_sign_victory_field']) ? $campoal_options['conikal_sign_victory_field'] : 0;
        $mobile_sign_style  = isset($campoal_options['conikal_mobile_sign_style_field']) ? $campoal_options['conikal_mobile_sign_style_field'] : 'button';
        $sign_show_all      = isset($campoal_options['conikal_sign_show_all_field']) ? $campoal_options['conikal_sign_show_all_field'] : 0;

        $link               = get_permalink($id);
        $goal               = get_post_meta($id, 'petition_goal', true);
        $supporter_number   = conikal_get_supporter_donors_number($id);
        $goal               = $supporter_number->goal;
        $sign_num           = $supporter_number->sign;
        $sign_format        = $supporter_number->sign_format;
        $status             = get_post_meta($id, 'petition_status', true);

        // get form option
        $form_id            = conikal_get_petition_form_id($id);
        $reveal_label       = get_post_meta($form_id, '_give_reveal_label', true);

        // get fundraising mode setting
        $fundraising_mode   = conikal_fundraising_mode_setting($id);

        // check user has purchases
        $user_contribute    = conikal_user_purchased_donation($form_id);

        $goal_option        = get_post_meta($form_id, $give_prefix . 'goal_option', true);
        $raise_number       = conikal_get_supporter_donors_number($form_id, 'donor', true);

        $give_attrs['id']           = $form_id;
        $give_attrs['show_goal']    = false;

        // get petition citation status
        $citation = conikal_citation_status($id);

        // get supporters
        $sign = get_user_meta($current_user->ID, 'petition_sign', true);
        $sign = $sign != '' ? $sign : array();

        // get custom sign button label
        $sign_button_text    = conikal_custom_sign_label_button($id, __('Sign this petition', 'campoal-tapo'));
?>
        <?php
        // check is admin and mobile to continue display block
        if ( $action_type == 'sidebar' || ($action_type == 'flexible' && wp_is_mobile()) ) { ?>
                <div class="ui bottom sidebar segment sign-sidebar" id="sign-sidebar<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>" data-closed="0">
                    <div class="ui centered grid">
                        <div class="sixteen wide mobile ten wide tablet six wide computer column sign-section">
                            <div class="ui grid">
                                <div class="thirteen wide column">
                                    <?php if ((int)$sign_num >= (int)$goal || (int)$status == 1) { ?>
                                        <div class="ui medium header sign-section-title text victory">
                                            <?php echo conikal_custom_icon('victory_inverse') ?>
                                            <div class="content">
                                                <?php ( (int)$status == 1 ? esc_html_e('Confirm Victory!', 'campoal-tapo') : esc_html_e('Victory!', 'campoal-tapo') ); ?>
                                            </div>
                                        </div>
                                    <?php } elseif ((int)$status == 2) { ?>
                                        <div class="ui mediumm header sign-section-title">
                                            <i class="lock icon"></i>
                                            <div class="content">
                                                <?php esc_html_e('Petition closed', 'campoal-tapo') ?>
                                            </div>
                                        </div>
                                    <?php } else { ?>
                                        <div class="ui medium header sign-section-title">
                                            <?php echo conikal_custom_icon('supporter') ?>
                                            <div class="content">
                                                <span class="fav_no" id="fav_no<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>" data-value="<?php echo esc_attr($sign_num) ?>" data-format="<?php echo esc_attr($sign_format) ?>">
                                                    <?php echo esc_html($sign_format) ?>
                                                </span> 
                                                <?php echo esc_html__( _n('Supporter', 'Supporters', $sign_num, 'campoal-tapo') ) ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                </div>
                                <div class="three wide right aligned column">
                                    <a href="javascript:void(0)" class="font big close-mobile-sign" id="close-mobile-sign<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>"><i class="angle down icon"></i></a>
                                </div>
                            </div>
                            <?php
                                echo conikal_progressive_bar_render(array(
                                    'id'            => $id,
                                    'heading'       => 'h3',
                                    'label'         => '',
                                    'size'          => 'tiny',
                                    'show_label'    => 'below'
                                ));
                            ?>
                            <div class="ui fifted divider"></div>
                            
                            <?php
                                    if ( is_user_logged_in() && in_array($id, $sign) === false && (int)$sign_num < (int)$goal && (int)$status == 0 ) {
                                        echo conikal_sign_share_block_render(array(
                                            'id'                => $id,
                                            'type'              => 'sign',
                                            'mode'              => 'always',
                                            'custom_share_link' => $custom_share_link,
                                            'share_link_type'   => $share_link_type,
                                            'prompt_action'     => $prompt_action,
                                            'form_prefix'       => 'Sidebar'
                                        ));
                                    } else if ( !is_user_logged_in() && (int)$sign_num < (int)$goal && (int)$status == 0 || (!is_user_logged_in() && $sign_victory == 1) ) {
                                        echo conikal_sign_share_block_render(array(
                                            'id'                => $id,
                                            'type'              => 'sign',
                                            'mode'              => 'always',
                                            'custom_share_link' => $custom_share_link,
                                            'share_link_type'   => $share_link_type,
                                            'prompt_action'     => $prompt_action,
                                            'form_prefix'       => 'Sidebar'
                                        ));
                                    } else {
                                        if ($sign_show_all == 1) { ?>
                                            <div class="ui accordion accord-contribute-share" id="accord-contribute-share<?php echo esc_attr($id) ?>">
                                                <div class="title"></div>
                                                <div class="content">
                                        <?php } ?>
                                        <div class="<?php echo esc_attr($sign_show_all == 0 ? 'ui ' : '' ) ?>accordion accord-share-facebook">
                                            <?php if (isset($form_id) && !empty($form_id) && $reveal_label != '' && class_exists('Give')) { ?>
                                                <div class="title<?php echo esc_attr($default_accordion === 'contribute' && $user_contribute == false ? ' active' : '') ?>">
                                                    <h3 class="ui header">
                                                    <i class="dropdown icon"></i>
                                                    <?php echo sprintf(esc_html__('%s to campaign', 'campoal-tapo'), $reveal_label) ?>
                                                    </h3>
                                                </div>
                                                <div class="content<?php echo esc_attr($default_accordion === 'contribute' && $user_contribute == false ? ' active' : '') ?>">
                                                    <?php if ($fundraising_mode == 0) : ?>
                                                        <?php if (give_is_setting_enabled( $goal_option )) : ?>
                                                            <div class="ui tiny header">
                                                            <?php echo sprintf( esc_html__('%1$s of %2$s raised', 'campoal-tapo'), esc_html($raise_number->sign_format), esc_html($raise_number->goal_format) ) ?>
                                                        </div>
                                                        <div class="ui tiny primary progress petition-goal" data-value="<?php echo esc_attr($raise_number->sign) ?>" data-total="<?php echo esc_attr($raise_number->goal) ?>">
                                                            <div class="bar">
                                                                <div class="progress"></div>
                                                            </div>
                                                        </div>
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                    <?php echo give_form_shortcode($give_attrs) ?>
                                                </div>
                                            <?php } ?>

                                            <div class="title<?php echo esc_attr($default_accordion === 'share' || $form_id === '' || $user_contribute == true || $reveal_label == '' || $sign_show_all == 1 ? ' active' : '') ?>">
                                                <h3 class="ui header">
                                                <i class="dropdown icon"></i>
                                                <?php esc_html_e('Share this campaign', 'campoal-tapo') ?>
                                                </h3>
                                            </div>
                                            <div class="content<?php echo esc_attr($default_accordion === 'share' || $form_id === '' || $user_contribute == true || $reveal_label == '' || $sign_show_all == 1 ? ' active' : '') ?>">
                                                <?php echo conikal_sign_share_block_render(array(
                                                    'id'                => $id,
                                                    'type'              => 'share',
                                                    'mode'              => 'always',
                                                    'custom_share_link' => $custom_share_link,
                                                    'share_link_type'   => $share_link_type,
                                                    'prompt_action'     => $prompt_action,
                                                    'form_prefix'       => 'Sidebar'
                                                )); ?>
                                            </div>
                                        </div>

                                        <?php if ($sign_show_all == 1) { ?>
                                                </div>  
                                            </div>
                                            <div class="field">
                                                <button class="ui primary fluid big button open-share-box" id="open-share-box<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>"><?php echo conikal_custom_icon('share') ?><?php esc_html_e('Share the Petition', 'campoal-tapo') ?></button>
                                            </div>
                                        <?php } ?>
                                    <?php }
                                wp_nonce_field('sign_ajax_nonce', 'securitySign' . $id, true);
                                wp_nonce_field('share_ajax_nonce', 'securityShare' . $id, true); ?>
                            <input type="hidden" id="petition_id<?php echo esc_attr($id) ?>" value="<?php echo esc_attr($id) ?>">
                            <input type="hidden" id="petition_url<?php echo esc_attr($id) ?>" value="<?php echo esc_attr($link) ?>">
                        </div>
                    </div>
                </div>
        <?php } ?>

        <?php if ( $action_type == 'sidebar' || ($action_type == 'flexible' && wp_is_mobile()) ) : ?>
        <!-- MOBILE SIGN PETITION BUTTON -->
        <div class="ui sticky mobile-sign-btn sign-sidebar-btn <?php echo esc_attr(is_admin() || $mobile_only == 0 ? '' : 'tablet-sign-btn display-mobile display-tablet only ') ?>" id="mobile-sign-btn<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>">
            <div class="ui attached segment">
                <div class="ui grid <?php echo esc_attr(is_admin() || $mobile_only == 0 ? '' : 'mobile tablet ') ?>only">
                    <div class="sixteen wide column">
                        <button class="ui primary fluid large button">
                            <?php if(is_user_logged_in()) { 
                                if(in_array($id, $sign) === false && (int)$sign_num < (int)$goal && (int)$status == 0) { ?>
                                    <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                                <?php } else { ?>
                                    <?php echo conikal_custom_icon('share') ?><?php esc_html_e('Share this petition', 'campoal-tapo') ?>
                                <?php } ?>
                            <?php } else if ($sign_victory == 1) { ?>
                                <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                            <?php } else {
                                if((int)$sign_num < (int)$goal && (int)$status == 0) { ?>
                                    <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                                <?php } else { ?>
                                    <?php echo conikal_custom_icon('share') ?><?php esc_html_e('Share this petition', 'campoal-tapo') ?>
                                <?php } ?>
                            <?php } ?>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <?php else : ?>

        <!-- TABLET SIGN PETITION BUTTON -->
        <div class="ui sticky sign-sidebar-btn <?php echo esc_attr(is_admin() || $mobile_only == 0 ? '' : 'tablet-sign-btn display-mobile display-tablet only') ?>" id="tablet-sign-btn<?php echo esc_attr($id) ?>" data-id="<?php echo esc_attr($id) ?>">
            <div class="ui attached segment">
                <div class="ui grid only">
                    <div class="sixteen wide column">
                        <a href="<?php echo esc_attr(empty($scroll_block_id) ? '#signPetitionFormSC' . esc_attr($id) : '#' . $scroll_block_id ) ?>" class="ui primary fluid large button">
                            <?php if(is_user_logged_in()) { 
                                if(in_array($id, $sign) === false && (int)$sign_num < (int)$goal && (int)$status == 0) { ?>
                                    <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                                <?php } else { ?>
                                    <?php echo conikal_custom_icon('share') ?><?php esc_html_e('Share this petition', 'campoal-tapo') ?>
                                <?php } ?>
                            <?php } else if ($sign_victory == 1) { ?>
                                <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                            <?php } else {
                                if((int)$sign_num < (int)$goal && (int)$status == 0) { ?>
                                    <?php echo conikal_custom_icon('sign') ?><?php echo esc_html($sign_button_text) ?>
                                <?php } else { ?>
                                    <?php echo conikal_custom_icon('share') ?><?php esc_html_e('Share this petition', 'campoal-tapo') ?>
                                <?php } ?>
                            <?php } ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>

    <?php
    }
} ?>
